== Changelog ==

= 1.74.2 - 23 July 2026 =
* Post Carousel: Fixed thumbnails collapsing when the Full image size was selected by falling back to the default box dimensions.
* General: Fixed widget content being lost when saving in the Block Editor while the visual editor had not finished initializing.
* General: Preserved a measurement field's unit on re-save when the field's default value already carried a unit.

= 1.74.1 - 17 July 2026 =
* Hero, Layout Slider: Fixed empty or zero mobile height so the slide inherits the desktop height instead of collapsing.
* Image: Preserved custom image size dimensions on save so manually entered width and height are retained.
* General: Preserved the measurement field unit when re-saving a widget without changing the value.
* General: Prevented a TinyMCE initialization error on hosts that disable the rich text editor.

= 1.74.0 - 13 July 2026 =
* Accordion, Tabs: Reset filter-owned title slots at render and escaped title output in templates.
* Posts Field: Restored listing of all public post types in the Post Type selector regardless of the current user's edit capability.
* Price Table: Escaped title and icon color style output in the template.
* General: Added a neutral sanitization floor for select, radio, image radio, and checkboxes fields when the options list is unavailable, so stored values are no longer reset.
* General: Stripped unrecognized keys from widget instances on save so only declared fields and known companion keys persist.
* General: Made media, TinyMCE, and container field sanitization more robust across nested and repeater contexts.
* General: Contributed a field sanitization version signal to Page Builder to keep Layout Block trust signatures accurate.

= 1.73.2 - 01 July 2026 =
* Blog: Fixed font field initialization lag by lazy-populating font selects on focus while preserving the saved value on save.
* Video: Removed the hard-coded sandbox from cached oEmbed output and added the siteorigin_widgets_sow-video_oembed_iframe_sandbox filter to control iframe sandbox attributes.
* General: Made field sanitization idempotent across the posts, multiple media, select, checkboxes, radio, image radio, icon, and font fields, and guarded resets against empty options and family lists.
* General: Set Tested up to WordPress (WP) 7.0.

= 1.73.1 - 19 May 2026 =
* General: Corrected release package version metadata to prevent WordPress from repeatedly offering the same update after installing 1.73.0.

= 1.73.0 - 19 May 2026 =
* Cards Carousel: Scoped overflow handling to the panel to preserve sibling cell sizing in Layout Builder.
* Image Grid: Loaded preview assets in the Block Editor and restored repeater media field setup.
* Widget Block: Improved Block Editor and Site Editor widget forms with iframe asset loading, direct widget save bridge, preview snapshots, and stale Page Builder data handling.
* General: Improved TinyMCE field handling for WordPress (WP) 7, including initialized detection, selection bookmark cleanup, Visual/Code switching, flush timing, unique editor IDs, and iframe setup.
* General: Improved media, multiple media, and date range field initialization in iframe and repeater contexts.
* General: Restored compact WP 7 admin field sizing and fixed TinyMCE editor borders in Panels dialogs.
* General: Added focused end-to-end coverage for Block Editor, Site Editor, snapshot Application Programming Interface (API), save bridge, repeater media, and TinyMCE workflows.

= 1.72.0 - 14 April 2026 =
* Anything Carousel: Added bottom-right arrows navigation layout.
* Features: Linked the title when the column link overlay is enabled.
* Hero: Fixed FitText refresh on mobile devices.
* Slider: Fixed cover background tiling.
* Video: Added an option to show the cover image when a self-hosted video ends.
* General: Resolved multiple WordPress (WP) 7 admin styling issues including checkbox appearance, button sizing, preview button height, measurement select chevron, and widgets search sizing.
* General: Added custom action button styling for the widgets admin page.
* General: Included accessibility Cascading Style Sheets (CSS) in release builds.
* General: Added WordPress Multilingual (WPML) configuration entries for Widgets Bundle blocks.

= 1.71.0 - 13 February 2026 =
* Accordion: Added a heading title tag option, aligned the default with existing markup, refined title handling, and lazy-loaded embedded iframes.
* Social Media Buttons: Added the GitLab network and updated the Skype icon to Microsoft branding.
* General: Widget preview requests now verify user permissions with a shared helper and capability checks.
* General: Autocomplete fields can send additional request parameters.
* General: Repeater fields now trigger setup on all visible fields at any nesting level.
* General: Media fields now hide the image search button when users cannot upload media and skip the library check before opening the search modal.
* General: Search posts field restored the class wrapper and refined order by handling.
* General: Updated dependencies, including lodash-es 4.17.23.

= 1.70.4 - 07 January 2026 =
* Widget Block: Reworked the block editor widget block for Application Programming Interface (API) version 3 support, resolved the apiVersion notice, and added an extra site editor canvas check.
* Widget Block: Improved preview request handling to abort stale requests per block, allow simultaneous previews, fix the `ajaxurl` value, and prevent missing preview data warnings.
* Blog: Added the `siteorigin_widgets_blog_pagination_enabled` filter to allow pagination to be disabled.
* General: Reinitialized media field controls after copying a repeater item to keep them usable.
* General: Updated the JSON Web Signature (JWS) dependency to 3.2.3.

= 1.70.3 - 04 December 2025 =
* General: Confirmed compatibility with WordPress 6.9.

= 1.70.2 - 13 November 2025 =
* Google Maps: Moved localization into the bundle, detected consent prompts from the rendered markup, and added a fallback no-results message so interactive and static map scripts enqueue reliably without undefined `soWidgetsGoogleMap` errors.
* Image: Included filtered LESS variables when generating the style hash so cached styles refresh when filters adjust widget appearance.
* General: Normalized widget block registration for namespaced classes to eliminate invalid name warnings in the Block Editor.
* General: Passed the TinyMCE field element identifier to the `tiny_mce_plugins` filter to prevent callbacks from triggering fatal errors.

= 1.70.1 - 03 November 2025 =
* Block Editor: Prevented editor scripts from loading on the frontend while preserving Site Editor compatibility.

= 1.70.0 - 31 October 2025 =
* Blog: Resolved potential date output format fatal error, debounced post count update, and optimized post selector count function.
* Features: Fixed icon alignment with bottom aligned more link and refined right/left alignment for bottom aligned features.
* Portfolio: Limited blog filter categories control to portfolio by default.
* Video Player: Added siteorigin_widgets_sow-video_local_video_args filter and sandbox attribute.
* General: Added extensive Site Editor support including improvements for form fields, asset cloning, and JavaScript Object Notation (JSON) handling.
* General: Fixed TypeError when widget instance is JSON string in Representational State Transfer Application Programming Interface (REST API) context.
* General: Migrated build tooling to Gulp 5.
* General: Improved Select2 handling to prevent conflicts.
* General: Replaced usage of WP_CONTENT_DIR.
* General: Improved widget timestamp handling using microtime and ensured timestamp is set when saving widgets.
* General: Adjusted field backup change detection to prevent incorrect flags and excluded builder_id from comparison.
* General: Fixed Widget Block blockName check and ensured valid block names before registering.

= 1.69.3 - 22 August 2025 =
* Block Editor: Fixed teaser styling issues.
* Features: Added link icon support when column is set to be linked.
* Features: Show more link text when column overlay enabled.
* Features: Resolved syntax error.
* Widget Block: Prevented potential widgetClass undefined array key warning.
* General: Fixed undefined array key warnings in add_defaults method.
* General: Fixed undefined array key warnings for field properties.
* General: Fixed undefined array key 'type' warning in add_defaults().
* General: Fixed undefined array key 'class' warning for widget fields.
* General: Fixed undefined array key 'fields' warning in enqueue_field_scripts().

= 1.69.2 - 19 July 2025 =
* Features: Fixed icon disappearing when link overlay enabled and prevented theme margin on list items.
* General: Added array type validation to get_active_widgets() method.
* General: Improved widget toolbar with WordPress standard ToolbarGroup and accessibility labels.
* General: Resolved type mismatch error in add_defaults method caused by Lightbox Addon.

= 1.69.1 - 05 July 2025 =
* Carousel, Post Carousel: Fixed animation speed and timeout to preserve zero values, updated continuous mode defaults, and improved animation speed handling.
* Features: Fixed link overlay functionality, improved feature link overlay, set feature width and tag prior to template rendering, and switched to semantic friendly list.
* Icon: Fixed icon rendering issue for sub styles.
* Multiple Media: Improved frame storage and refresh library after uploading new files.
* Simple Masonry: Fixed gutter field cascading from desktop to tablet/mobile and refactored gutter logic.
* Video Player: Added cover support for local external videos.
* General: Fixed number field sanitization to preserve zero values, renamed accessibility stylesheet to siteorigin-accessibility, added central accessibility stylesheet, improved widget form backup handling, and enhanced widget block functionality.

= 1.69.0 - 12 June 2025 =
* Hero: Added image alt support for improved accessibility.
* Layout Slider: Added image alt support and improved background image settings by hiding the settings until a background has been added.
* Slider: Added image alt support and improved URL handling with validation before setup.
* Widget Block: Replaced block editor bundle icon with Scalable Vector Graphics (SVG) implementation and updated to use inline SVG for default icon.
* General: Added new `sow_get_allowed_esc_url_protocols` helper function for enhanced URL protocol handling.

= 1.68.5 - 02 June 2025 =
* Blog: Fixed JavaScript (JS) and Cascading Style Sheets (CSS) not outputting in Block Editor preview.
* Blog Portfolio: Fixed sizing issue in Block Editor preview.
* TinyMCE Form Field: Prevented potential TypeError.
* Elementor: Improved dark mode styling, resolved misaligned checkbox checkmark placement, and fixed widget JS not being enqueued and preview not being flagged.

= 1.68.4 - 20 May 2025 =
* Blog Alternate: Fixed mobile spacing issue.
* Toggle Field: Adjusted toggle text to 11px, decreased size, and aligned toggle switch style and spacing with Page Builder (PB).
* Widget Block Icons: Refactored icon setup logic to centralize and simplify code, ensuring consistent handling of SVG and image icons.
* Widget Blocks: Added inline SVG icons.
* General: Updated Installer submodule.

= 1.68.3 - 11 May 2025 =
* Image Grid: Added gallery keyword support.
* Simple Masonry: Fixed preloader visibility, removed incorrect type, and resolved potential TypeError.
* Slider: Prevented empty overlay issues.
* Widget Blocks: Fixed icon saving and keyword support.
* General: Updated Installer submodule and performed bulk PHP CS improvements.

= 1.68.2 - 03 May 2025 =
* Icon Field: Fixed icon callback support to ensure proper rendering of custom icons.
* Posts Selector: Resolved fatal error related to date query handling.
* Price Table: Added `siteorigin_widgets_price_table_button_attributes` filter for enhanced button customization.
* Video Player: Fixed self-hosted video embeds and improved FitVids integration by triggering after unblock and resize events.
* General: Updated documentation and readme files for improved clarity and consistency.

= 1.68.1 - 12 April 2025 =
* Widgets Bundle Blocks: Resolved widget migration error by improving widget registration process and maintaining widget list integrity.

= 1.68.0 - 10 April 2025 =
* Accordion: Fixed custom sized icon output to maintain correct dimensions.
* Blog: Added "Always Add Read More" setting and made it enabled by default.
* Widgets Bundle Blocks: Added SiteOrigin category with custom icon.
* Widgets Bundle Blocks: Improved block and widget registration process.
* Widgets Bundle Blocks: Enhanced font consistency and fixed widget prefix issues.
* Widgets Bundle Blocks: Added container query support for external media fields.
* Widgets Bundle Blocks: Resolved map consent preview issues.
* Widgets Bundle Blocks: Improved migration permission checks and widget existence verification.
* Contact: Removed unused form ID field.
* Features: Added title and content classes for settings.
* Features: Resolved text design settings specificity issues.
* Icon Field: Improved responsive handling.
* Icon Field: Enhanced vertical alignment.
* Icon Field: Maintained min-height and padding settings.
* Media Field: Added container query support for external fields.
* Media Field: Increased external field breakpoint.
* Media Field: Improved external handling.
* Post Carousel: Added posts_limit support.
* Posts: Added "Maximum Posts to Output" field.
* Repeater Table: Added support for SelectorArray.
* Section Form Field: Set font size to prevent override in Twenty Twenty theme.
* General: Added widget backup functionality with filter to disable.
* General: Optimized widget SVG banners.
* General: Added block editor icons.
* General: Improved Elementor guest post type handling.

= 1.67.2 - 20 March 2025 =
* Call To Action: Cleared floats to prevent content overflow.
* Contact: Fixed Really Simple Captcha functionality.
* Video Player: Improved hide controls handling, prevented self-hosted videos from not autoplaying, ensured hide controls setting doesn't affect externally hosted videos, and fixed missing media elements in external videos.
* General: Prevented JavaScript variable declaration conflict with 'sowb' identifier.

= 1.67.1 - 18 March 2025 =
* Posts Query: Added no results text for improved user feedback.
* Posts Query: Enhanced autocomplete functionality to pass post ID.
* Video Player: Added click-to-play functionality for self-hosted videos.
* General: Implemented manual widget block tests.

= 1.67.0 - 17 March 2025 =
* SiteOrigin Widget Block: Transitioned from a single multi-select block to dedicated individual blocks for each widget, significantly improving the block editor experience.
* Blog: Improved author avatar sizing and prevented false positive Web Application Firewall (WAF) flags.
* Cards, Post Carousel: Enhanced resize handling after posts are loaded and fixed dot navigation.
* Google Maps: Resolved type check issues.
* Post Carousel: Implemented sizing improvements.
* Recent Posts: Prevented WAF blocking.
* General: Added more info link to legacy block and implemented preview check for widget blocks.
* Developer: Updated Google Fonts and Font Awesome libraries.

= 1.66.0 - 01 March 2025 =
* Carousel: Improved resize handling by delaying events, ensuring adaptive height application and correct breakpoints, and reorganizing layout.
* Cards Carousel, Post/Card Carousel: Maintained fixed container height after resize and fixed second dot display.
* Contact: Resolved notice for missing name field, removed additional select margin, added aria-describedby support, and moved description inside the field container.
* Contact Description: Added top margin setting.
* Editor: Removed wp_targeted_link_rel from output.
* Google Maps: Fixed MapStyles icon notice, ensured custom Map Styles JSON validation, prevented undefined Map ID issues, updated Map ID description, added Map ID setting, and restored * support for Map Styles.
* Video, Video FitVids: Improved video JS loading and skinable host detection, removed skinable host requirement, and ensured FitVids always enqueues.
* General: Added WP Optimize support, introduced siteorigin_sanitize_json helper, and resolved notice related to active widget area script detection.

= 1.65.1 - 05 February 2025 =
* Carousel: Fixed `Dynamic Navigation` potential to be applied when disabled.
* Contact Form: Fixed Browser Check setting.

= 1.65.0 - 03 February 2025 =
* Blog: Added support for `siteorigin_widgets_blog_post_meta`.
* Blog: Added a fallback for undefined `post_type` to avoid errors.
* Blog: Reset filter categories when the template doesn't support them.
* Carousel: Improved adaptive height so the slider adjusts based on all visible items.
* Contact Form: Added a check to ensure the "To" and "From" email addresses aren't identical, improving deliverability.
* Contact Form: Introduced settings for submit button hover/focus styling (background, border, and text colors).
* Contact Form: Added design options for success messages.
* Contact Form: Applied title case to admin labels for consistency.
* Contact Form: Improved field handling by switching to Widgets Bundle instance storage and refining form name management to prevent conflicts.
* Contact Form: Resolved warnings related to undefined array keys in the contact widget.
* Contact Form: Adjustment to always set up reCAPTCHA when in use.
* Contact Form: Improved developer email handling and layout directory email.
* Google Maps: Replaced the deprecated `google.maps.Marker` with `AdvancedMarkerElement` to address deprecation notices.
* Google Maps: Moved widget configuration from siteorigin-panels and updated admin texts for translation.
* Icon Field: Improved icon caching in the Block Editor to reduce redundant icon fetch requests.
* Image: Prevented empty `<img>` output when no image is set.
* Post Carousel: Changed autoplay to a preset field and improved continuous scrolling handling.
* Post Carousel: Added a filter for valid widget instances in Ajax handling and refactored the Ajax code.
* Taxonomy: Removed the preview button since this widget relies on the loop.
* Block Editor Select: Adjusted spacing so the text no longer touches the chevron.
* Multi-Measurement: Fixed a potential `NaN` value issue when no value is present.
* Multi-Measurement: Fixed value update issues when no state handler is present.
* Onclick: Added Popup Maker support and ensured a semicolon is appended to prevent syntax errors.
* Default Form Options: Added widget form field support so defaults are now saved correctly.
* Section Defaults: Resolved a TypeError in widget sections.
* Select2 Form Field: Moved editor CSS to the field stylesheet to prevent conflicts with other plugins.
* Select Form Field Multiple: Fixed a gap issue in the Block Editor.
* Teaser: Resolved dismiss button misalignment and improved overall structure and hover behavior.
* Widget Form: Debounce widget change backups to improve performance during rapid edits.
* WPML: Adjusted editor labels for compatibility with the upcoming WPML 4.7 release.
* Admin: Prevented the aside area from becoming stuck during resize events in the Page Builder.
* getWidgetFormValues: Improved select value performance on Apple devices.
* Added missing i18n domains and fixed non-singular string literal text issues.
* Corrected text domain mismatches.

= 1.64.2 - 18 December 2024 =
* Select: Fixed field name handling to prevent unintended array format in Widgets Bundle forms.

= 1.64.1 - 14 December 2024 =
* Post Carousel: Auto disabled navigation arrows when `Autoplay Continuous Scroll` enabled.
* Simple Masonry: Resolved a potenital error.
* Posts & Links Fields: Improved post and taxonomy search functionality; added user capability checks and no results handling.
* Select2: Removed `multiple` requirement for Select2 usage.

= 1.64.0 - 24 November 2024 =
* Anchor ID: Improved ID handling to better support special characters and international text.
* Author Box: Added Author Name HTML Tag setting.
* Button Grid: Renamed setting `Buttons Per Line` to `Buttons Per Row`.
* Carousels: Resolved minor Block Editor display issues.
* Post Carousel: Added Post Title Font setting.
* Simple Masonry: Improved loading.
* Widget Block: Various admin form styling fixes and improvements.
* Fixed `load_textdomain` notice.
* Improved admin font field performance.
* Updated Google Fonts list.
* Updated Font Awesome from 6.6.0 to 6.7.0.
* Updated Tested up to tag.

= 1.63.0 - 11 August 2024 =
* Button Grid: Update to ensure the Grid Widget doesn't override the settings of unrelated Button Widgets.
* Blog Offset: Increased the author avatar image width.
* Blog: Added `Trim Manual Excerpt` setting. Trim the excerpt even if a manual excerpt has been added.
* Slider: Resolved a potential PHP 8 TypeError.
* Video: Ensured video oEmbed is able to apply full screen.

= 1.62.3 - 23 July 2024 =
* Updated Google Fonts.
* Presets: Hid empty default if `default_preset` is set.
* Blog: Ensured default content size outputs with `px` unit of measurement.
* Developer: Posts Field: Added `show_count` to optionally show the post count.
* Developer: Blog: Addded `siteorigin_widgets_blog_filter_categories_output`.
* Developer: Blog: Added `siteorigin_widgets_blog_content_wrapper_styles`.

= 1.62.2 - 30 June 2024 =
* Improved attribute name handling.
* Button Grid: Accounted for possible warnings.
* Carousel: Improved continuous scrolling behavior.
* Carousel: Update to prevent autoplay in the Block Editor preview.
* Carousel: Resolved potential PHP deprecated warning.
* Lottie Player: Fixed attribute output.

= 1.62.1 - 17 June 2024 =
* Accordion: Aligned Scroll to Offset value with Tabs.
* Button Grid: Resolved a potential layout warning.
* Contact Form: Resolved potential invalid field border.
* Updated Google Fonts.
* Updated Font Awesome.
* Updated SiteOrigin Installer.

= 1.62.0 - 06 June 2024 =
* New Widget! Button Grid: Add multiple buttons in one go, customize individually, and present them in a neat grid layout.
* Blog: Validate title HTML tag before output.
* Slider: Restored Responsive Height setting.
* Tabs: Always trigger `tab_change` event when changing tabs.
* Testimonials: Removed unused SVG.
* Links Field: Reduced width.

= 1.61.1 - 20 May 2024 =
* Button: Resolved Atom theme background error. 

= 1.61.0 - 19 May 2024 =
* New Widget! Recent Posts: Drive traffic to your latest content with a visually appealing, fully customizable recent posts showcase.
* Button: Minor padding adjustments to improve alignment.
* Post Carousel: Add Animation Setting.
* Social Media Buttons: Update to ensure Atom buttons render normally if hover styles are cleared.
* Social Media Buttons: Updated Skype default colors.
* Post Selector: Corrected `date_query_relative` check.
* Resolved fallback shortcode decoding issue.
* Increased the required PHP version.

= 1.60.0 - 26 April 2024 =
* Author Box: Applied title margin directly to wrapper and adjusted alignment.
* Blog: Resolved a potential fatal `TypeError`.
* Blog: Resolved settings warning caused by undefined "settings" array key.
* Carousel: Added `full` navigation output option.
* Features: Improved icon position alignment on desktop and mobile.
* Headline: Resolved a translation issue related to the Tag setting.
* Post Carousel: Minor settings label adjustments.
* Post Carousel: Fixed RTL output.
* Tabs: Updated to use the Anchor ID Manager.
* Query Posts: Date Range: Changed default and minimum to `1`.
* Multi-Measurement Preset: Resolved an issue with saving values.
* Page Builder: Resolved missing widgets in the Add Widget modal.
* Widgets Block: Prevented empty needle warning.
* Number Field: Updated to account for potential null values to prevent deprecated notice.
* Fields: Ensured `$value` isn't null before processing it to resolve `preg_replace()` deprecated notice.
* Deprecated Notices: Resolved `intval` deprecated notice.

= 1.59.0 - 11 April 2024 =
* New Widget! Author Box: Display author information, including avatar, name, bio, and post links in a customizable box.
* Contact Form: Resolved an issue where using multibyte characters (e.g., "מייל" for Email) as field labels prevented the form from being submitted correctly.
* Social Media Buttons: Updated X network color defaults.
* Social Media Buttons: Added Snapshot Square icon.
* Social Media Buttons: Updated Wire theme border default colors.
* Improved icon and font handling.
* Updated Google Fonts list.
* Block Editor: Moved editor check to the main Widgets Bundle class.
* Developer: Added a width argument to text input fields.
* Developer: Added multi-measurement support to the presets field.
* Developer: Removed `tmp_grunion_allow_editor_view`.

= 1.58.12 - 24 March 2024 =
* Post Loop: Resolved a potential `post__in` error.
* Post Loop: Resolved a potential post selector `post__not_in` deprecated warning.

= 1.58.11 - 23 March 2024 =
* Carousel: Resolved a potential warning.
* Features: Correct HTML tag output.
* Slider: Replaced `$.isFunction` usage.
* Social Media Buttons: Updated Tripadvisor title label.
* Video Player: Resolved potential warning.
* Block Editor: Always process shortcodes.
* Color Field: Added support for color hexadecimal values with alpha channel notation (e.g., #RRGGBBAA). Enhanced validation for RGBA color values.
* Post Selector: Resolved a potential deprecated notice.
* Updated SiteOrigin Installer.
* Developer: Added new Contact Form hooks.

= 1.58.10 - 05 March 2024 =
* Enhanced the saving process and validation for widgets and blocks in the Widgets Block.
* Loaded defaults for the widget form field.
* Removed the `unfiltered_html` check in the Editor Widget.

= 1.58.9 - 03 March 2024 =
* Editor: Resolved shortcode output.

= 1.58.8 - 02 March 2024 =
* Button: Resolved a potential alignment warning.
* Contact Form: Resolved a potential deprecated notice.
* Editor: Resolved a potential noreferrer empty text deprecated notice.
* Features: Prevent a potential feature width CSS miscalculation.
* Google Maps: Resolved a potential PHP 8.2+ warning.
* Sliders: Resolved a potential FitVids related error.
* Color Fields: Resolved a potential deprecated notice.
* Text Input: Resolved undesired HTML removal on multisite installations.
* Shifted control for lazy loading images to WordPress.
* Added additional data sanitization.
* Beaver Builder: Resolved an issue on save.

= 1.58.7 - 25 February 2024 =
* Anything Carousel: Corrected global responsive settings propagation.
* Blog: Removed pagination markup if pagination is disabled.
* Blog: Updated pagination screen reader text and level.
* Button: Added `Calendly` to OnClick allowed list.
* Video Player: Resolved potential FitVids warning.
* Repeater Tables: Minor styling updates.
* Textarea: Update to allow line breaks.

= 1.58.6 - 15 February 2024 =
* Added recursive sanitization to fields to prevent potential errors during saving.
* Post Carousel: Prevented a potential fatal error related to the `loop_posts` migration.
* Social Media Buttons: Resolved a potential warning by adjusting the conditions for color changes.
* Social Media Buttons: Removed redundant changes to the `icon_color` and `icon_color_hover` values.

= 1.58.5 - 12 February 2024 =
* Blog: Resolved a potential columns related warning.
* Block Editor: Prevented a potential text field empty value error.

= 1.58.4 - 10 February 2024 =
* Call to Action: Improved tag handling.
* Features: Fixed spacing and gap value output.
* Fields: Improved field sanitization.
* Social Media Buttons: Migrated Twitter to X.

= 1.58.3 - 05 February 2024 =
* Button: Additional improvements for OnClick handling
* Button: Added OnClick support for MailerLite.

= 1.58.2 - 27 January 2024 =
* Button: Restricted OnClick field allowed values to known services and functions.

= 1.58.1 - 26 January 2024 =
* Icon: Prevented a Potential `TypeError`.
* WooCommerce Shop: Check for SiteOrigin blocks within other blocks.
* Developer: Added Contact Form `siteorigin_widgets_contact_form_field_output`.
* Developer: Prevented a potential error when an `ItemLabel` isn't defined.

= 1.58.0 - 18 January 2024 =
* Accordion: Improved accessibility.
* Accordion: Improved the title icon vertical alignment.
* Accordion & Tabs: Adjusted the default header background colors.
* Anything Carousel: Improved cross-browser navigation display.
* Beaver Builder: Resolved SiteOrigin Slider related error.
* Carousel: Disabled the 'previous' navigation button on the first slide when loop functionality is disabled.
* Carousel: Resolved a potential undefined variable notice.
* Carousels: Increased `Animation Speed` default value.
* Carousels: Disabled slide transitions if browser motion is set to `Reduced`.
* Contact Form: Resolved potential submission form error message display.
* Features: Reset before/after spacing to prevent misalignment due to third-party global styles.
* Features: Added a `Feature Spacing` setting.
* Google Maps: Resolved deprecated notice.
* Google Maps: Update to prevent potential data loss when navigating away from the page while editing.
* Layout Slider: Resolved Extra Top Padding unit of measurement output if a value other than `px` is selected.
* Post Carousel: Update to display `Autoplay continuous scroll` if `Autoplay` is enabled.
* Post Carousel: Updated to prevent thumbnail from exceeding display width on mobile.
* Price Table: Added a `Sale Price` setting.
* Price Table: Added HTML support to the Title, Subtitle, Price, and Per fields.
* Price Table: Moved design related settings to a Design settings section.
* Slider: Added `loading` support to the widget's background image.
* Slider: Resolved a potential double-up of background images via HTML and CSS.
* Sliders: Updated to prevent loss of form field focus on input.
* Social Media Buttons: Added Viber.
* Tabs: Improved accessibility.
* Tabs: Updated deprecated KeyCode usage.
* WooCommerce: Re-render the shop page if there are any Widgets Bundle blocks present.
* Updated Google Fonts.
* Updated Font Awesome from `6.4.2` to `6.5.1`.
* Measurement Units: Minor admin styling improvements.
* Admin Radio Form Fields: Improved cross-browser display.
* Select2: Minor styling improvements.
* Developer: Added repeater table item label display option. Allows the repeater to act more like a table.
* Developer: Added `siteorigin_widgets_blog_custom_template` to the Blog Widget. Allows for custom templates to be selected from the Template select.
* Developer: Added box model type indicator classes.

= 1.57.0 - 24 November 2023 =
* Added additional font settings to the Call To Action (CTA) Widget, including Title HTML Tag, Title Font Family, Title Font Size, Subtitle HTML Tag, Subtitle Font Family, and Subtitle Font Size.
* Contact Form: Added an optional `readonly` attribute for the Text Field.
* Contact Form: Added `siteorigin_widgets_contact_fields` filter to allow customization of the email fields.
* Beaver Builder: Fixed an issue with the UI not loading by removing Core BB JS as a dependency.
* Updated the "Tested up to" version in the readme.txt file to 6.4.

= 1.56.0 - 06 November 2023 =
* Anything Carousel: Prevented an autoplay conflict caused by `click` trigger.
* Blog: Added Scroll Top functionality and global setting at `Plugins > SiteOrigin Widgets > Blog`.
* Call To Action: Added new hooks and padding.
* Contact Form: Added RGBA support for `Container Background Color`.
* Contact Form: Resolved warnings related to PHP 8.2.
* Features: Ensured the feature contents is centered rather than aligned to the Container Icon Position.
* Features: Resolved a mobile misalignment when using `Bottom Align More Link Text`.
* Sliders: Added Lazy Load support.
* Video Player: Addd a `Hide Player Controls` setting.
* Beaver Builder: Resolved `Uncaught TypeError: sowbForms.getWidgetIdBase`.
* Admin Metabox: Reset cursor for active tabs.
* Updated SiteOrigin Installer.

= 1.55.2 - 28 October 2023 =
* Improved the sizing of number fields in the admin interface.
* Modified the button widget to only apply flex styling if an icon is set.
* Developer: Added a central method of handling post content in the Blog widget.

= 1.55.1 - 23 September 2023 =
* Resolved right positioned icon overflow and slight vertical misalignment in the Button widget.
* Prevented icon right aligned overlap in the Button widget.
* Restored icon vertical alignment in the Button widget.

= 1.55.0 - 16 September 2023 =
* Blog: Updated the Portfolio template to improve term display for selected post type.
* Blog: Account for possible offset after the first page load.
* Button: Added Icon Size setting.
* Contact: Added multi-measurement support for the Field Margin setting.
* Contact: Added Select2 support to the Dropdown Select field.
* Features: Resolved mobile misalignment with `Align Bottom More`.
* Sliders: Added frame keyboard navigation.
* Video: Update to resolve a YouTube short URL display issue.
* Destination URL Field: Update to fetch post title if using `Post: ID` format.
* Post Query: Update to account for `offset` in the total post count.
* Updated the Google Fonts list.
* Font Awesome: Updated from `6.4.0` to `6.4.2`.
* Added Select2 support.
* Measurement Field: Prevented `Deprecated: strlen()` notice.
* Developer: Added additional hooks to the Contact Form Widget.
* Developer: Added an optional measurement unit parameter to the Number field.

= 1.54.0 - 16 August 2023 =
* Added a new setting called "Center Items" to the Features widget. This setting allows users to center the items if there are fewer features on a line than the maximum.
* Added a new setting called "Skip Post if No Featured Image" to the Blog Portfolio widget. This setting allows users to skip posts without a featured image when the active template is set to "Portfolio".
* Updated the SiteOrigin Installer.

= 1.53.0 - 09 August 2023 =
* Added multi-measurement support for the field margin in the Contact widget.
* Resolved issue with the "Use FitVids" option being locked to enabled in the Slider widget.
* Updated the Simple Masonry, Image, and Image Grid widgets to use the `siteorigin_loading_optimization_attributes` function for better control over lazy loading of images.
* Improved logic in the `siteorigin_loading_optimization_attributes` filter check to avoid potential errors.
* Updated the "Tested up to" version in the readme.txt file to 6.3.
* Reverted changes to the Blog widget that attempted to show correct terms for selected post types due to implementation issues.

= 1.52.0 - 16 July 2023 =
* Added a new setting for Sliders, allowing users to choose the alignment of the pagination dots (left, center, or right).
* Introduced a new field called "Image Shape" to a widget, including necessary CSS styles, PHP class for rendering, and JavaScript for handling behavior.
* Updated the Image Widget to use the new "Image Shape" field.
* Fixed an issue with image shapes being enabled when they shouldn't be.
* Prevented the installer setting from showing if SiteOrigin Premium is active.
* Renamed the `Navigation alignment` setting in the `base-slider.class.php` file to `Pagination alignment` for clarity.
* Updated Build submodule.

= 1.51.0 - 15 July 2023 =
* Added `Google Material Icons / Material Symbols` support.
* Blog: Updated Portfolio to use Image Size for column sizing.
* Blog: Updated Portfolio column width to account for column gutter.
* Hero: Enabled alpha support for frame background color.
* Hero: Update to hide `Background Image` settings if no background image is set.
* Image: Added Image Shapes!
* Slider: Added a `Use FitVids` setting for responsive videos.
* Slider: Added unmute support for YouTube videos.
* Added a check to confirm the ID is valid for widget activation or deactivation.
* Developer: Added `siteorigin_widgets_button_attributes` to Button.

= 1.50.1 - 12 June 2023 =
* Slider: Resolved deprecated warning and improved link alignment.
* Blog: Updated template defaults to include colors with alpha.
* Added Tabs Form Field for improved widget organization.
* Updated Google Fonts with new fonts and weights.
* Updated Font Awesome from version 6.2.0 to 6.4.0, adding new icons.
* Added `siteorigin_widgets_load_cache_compatibility` filter for optional cache compatibility control.
* Various improvements to form fields and code formatting.

= 1.50.0 - 16 May 2023 =
* Button: Update to only apply Hover Text Color if Use Hover Effects enabled.
* Blog: Corrected Portfolio Hover Overlay Opacity migration.
* Carousel: Added compatibility for Virtue Premium home slider.
* Contact: Update to apply `Fields` design settings to `select` field.
* Image: Added `Custom Size > Enforce Dimensions` checkbox.
* Color Fields: Added alpha support.

= 1.49.2 - 03 May 2023 =
* Features: Various adjustments to improve desktop and mobile alignment.
* Image: Update to allow automatic resizing for Custom Size when one value is added.
* Videos: Internally convert short YouTube URLs to full URLs.
* Multiple Media: Resolved issues related to removing items when multiple instances are present.

= 1.49.1 - 26 April 2023 =
* Contact Form: Added a check to ensure PHP GD is enabled before allowing Really Simple CAPTCHA.
* Removed duplicate widget text area.
* Resolved a Parallax Sliders - Legacy Parallax display issue.

= 1.49.0 - 23 April 2023 =
* Features: Updated CSS to Flexbox.
* Features: Added `Space Between Each Feature` setting.
* Features: Ensured all icon alignment states center align on mobile.
* Features: Increased the responsive breakpoint` to 768px.
* Price Table: Added color settings default values.
* Slider: Improved slide background removal.
* Social Media Buttons: Fixed potential `Undefined variable` error.
* Video: Resolved an issue with YouTube video looping.
* Widget Block: Added `siteorigin_widgets_block_exclude_widget`. Developers can exclude widgets from SiteOrigin Widgets Block cache.

= 1.48.0 - 12 April 2023 =
* Slider: Added Height and Responsive Height settings regardless of whether a Foreground Image is present.
* Social Media Buttons: Added Wire Border Color settings.

= 1.47.1 - 04 April 2023 =
* Blog: Fixed Alternate Template featured image mobile collapse.
* Post Carousel: Improved `Thumbnail Overlay` migration.
* Post Carousel: Added `siteorigin_post_carousel_item_template` filter.
* Sliders: Default enabled `Show slide background videos on mobile.`
* Tabs: Addeded `siteorigin_widgets_tabs_always_scroll` filter.
* Font Field: Resolved PHP 8 deprecated notice.
* Textarea Form Field: Resolved PHP 8 deprecated notice.
* Media Field: Minor styling improvement.
* Improved missing widget detection.
* PHP coding standards update.

= 1.47.0 - 30 March 2023 =
* Blog: Added a `Post Title HTML Tag` setting.
* Google Maps: Fixed a potential `Map Style > Predefined Styles` PHP 8.x error.
* Updated Tested up to tag.

= 1.46.7 - 15 March 2023 =
* Developer: Updated Google Maps location `getSimplePlace` a method.

= 1.46.6 - 01 March 2023 =
* Blog: Fixed a potential Alternate Template featured image fallback misalignment and improved responsiveness.
* Blog: Vertically center aligned the Alternate Template featured image fallback image.

= 1.46.5 - 03 February 2023 =
* Repeaters: Restored action icons.

= 1.46.4 - 02 February 2023 =
* Accordion and Tabs: Prevented unexpected scroll.
* Blog: Removed Portfolio `Filter Category` setting requirement.
* Lottie Player: Updated library to `1.6.0`.
* Slider: Removed potential spacing after a slide foreground image.
* Removed unintentional widget asset enqueue in the Classic Editor.
* Widget Block: Resolved Customizer `ReferenceError`.
* Autoptimize: Avoided using strpos with empty string in `include_widgets_css_in_autoptimize`.
* Developer: Updated repeater actions to prevent naming conflicts. 

= 1.46.3 - 23 January 2023 =
* Simple Masonry: Resolved pre-WordPress 5.9 error.
* Resolved potential `mce_external_plugins` missing `editor_id` error.

= 1.46.2 - 14 January 2023 =
* Color Form Field: Added `siteorigin_widget_color_palette` filter.
* Lottie Player: Filtered new media uploads for application files.

= 1.46.1 - 01 January 2023 =
* Contact Form: Added `siteorigin_widgets_contact_validation` filter.
* Widgets Block Editor: Resolve potential TinyMCE related errors.

= 1.46.0 - 23 December 2022 =
* Call To Action: Resolved potential notice.
* Contact Form: Added `Plugins > SiteOrigin Widgets > Contact Form: Scroll Top` setting and `siteorigin_widgets_contact_scrollto_offset` filter.
* Contact Form: Resolved potential Google reCAPTCHA notice.
* Hero: Added Content `Automatically add paragraphs` setting.
* PHP 8 notice fixes.
* Customizer: New widget area `TypeError` fix.
* Removed `@font-face` query strings.
* Developer: Optionally allow repeater maximum number of items to be set.

= 1.45.0 - 07 December 2022 =
* Call To Action: Added `Mobile Button Align` setting.
* PHP 8.1: Resolved form field deprecated notices.
* Developer: Removed `edit-widgets` validation support.
* Developer: Added min/max for number form field.

= 1.44.2 - 03 December 2022 =
* Added WP Rocket compatibility.
* Button: Expanded Font Size, Padding, and Rounding to be more customizable.
* Headline: Prevented a potential notice when adding `mobile_align` defaults to pre-existing instances.
* Image Size Field: Update to display the setting description if available.
* Simple Masonry: Resolved a potential `Undefined array key` warning.
* Developer: Introduced widget validation via `sowbForms.validateFields` and `sow_validate_widget_data`.
* Developer: Update to allow custom color palettes or for palettes to be completely removed on a field by field basis.
* Developer: Pass state emitter field to custom callbacks. Allows developers to detect the field that triggered the emitter.

= 1.44.1 - 25 November 2022 =
* Icon Field: Resolved jQuery Migrate flag.
* Contact Form: Resolved notice when Message field not used.
* Features: Resolved  PHP 8 `Division by 0 Error` if `Features per row` not set.
* Simple Masonry: Changed to use pure CSS (`object-fit`) for sizing images.

= 1.44.0 - 10 November 2022 =
* Anything Carousel: Prevented potential loss of styling when looping items.
* Google Maps: Prevented position reset from affecting the info window.
* Simple Masonry: Added a Layout settings section.
* Simple Masonry: Added Image Title settings.
* Simple Masonry: Removed defaults set to 0.
* Simple Masonry: Removed the `loading` attribute if the preloader is enabled.
* Font Awesome: Resolved Gear icon migration issue.
* TinyMCE Field: Prevented PHP 8 `Uncaught TypeError: TinyMCE plugins filtered incorrectly`.
* Updated `Tested up to` tag to `6.1`.
* Developer: Added an `html` form field.

= 1.43.0 - 13 October 2022 =
* Blog: Improved `Continue reading` output when non-Latin characters are present.
* Blog: Fixed the Grid template responsive collapse behavior.
* Blog: Added a new Post Tags setting.
* Contact Form: Prevented a potential notice when inserting a new form.
* Post Carousel: Ensured navigation dots can appear when arrows are disabled.
* Post Carousel: Increased `Post Title > Color` specificity to avoid potential theme conflicts.
* Widget Block: Removed the Widget Type field label.

= 1.42.2 - 06 October 2022 =
* Blog: Resolved potential incorrect Widget Block pagination URL.
* Blog: Removed the Blog Widget from the Widgets Block cache.
* Updated Google Fonts list.
* Updated Font Awesome 6.1.1 to 6.2.0.

= 1.42.1 - 23 September 2022 =
* Blog: Updated settings CSS specificity.
* Blog: Resolved error when loading posts using Ajax.
* Google Maps: Prevented Google logo from being hidden by theme styles.

= 1.42.0 - 21 September 2022 =
* Blog: Added a `Featured Image Size` setting.
* Blog: Increased Alternate template featured image to full-width on mobile.
* Carousels: Update to only allow positive values in the `Slides to Scroll` and `Slides to Show` settings.
* Contact Form: Added `Honeypot` and `Browser Check` spam prevention settings.
* Editor: Prevented potential error by passing all expected `widget_text` arguments.
* Image Grid: Added `Display Image Title` setting and related options.
* Post Carousel: Added widget preview support.

= 1.41.0 - 13 September 2022 =
* Blog: Adjusted `article` tag CSS to ensure priority over theme styling.
* Blog: Removed featured image center alignment for the Alternate template.
* Blog: Added featured image sizes for the Grid, Alternate, and Portfolio templates.
* Features: Added a new setting `Bottom align More link text.`
* Google Maps: Only setup consent if Google Maps not already setup.
* LiteSpeed Cache: Ensured purge header isn't set if headers already sent.
* Post Carousel: Resolved Overlay Theme `Slides to Scroll` incorrect count.
* Developer: Added `siteorigin_widgets_blog_excerpt_trim` filter.
* Developer: Added `siteorigin_widgets_blog_image_sizes` filter.

= 1.40.2 - 03 September 2022 =
* Blog: Added SiteOrigin Premium Blog Addon CTA.

= 1.40.1 - 30 August 2022 =
* Contact Form: Added a new Dropdown Select setting `Allow multiple selections`.
* Blog: Added a `Sticky` indicator to post meta.
* Blog: Factored numbers into the Excerpt Length count.

= 1.40.0 - 20 August 2022 =
* Blog: Added `Excerpt Length` setting. The excerpt length can also be set using `siteorigin_widgets_blog_excerpt_length`.
* Blog: Resolved a Portfolio template column sizing issue.

= 1.39.0 - 08 August 2022 =
* New Widget! Introducing the SiteOrigin Blog Widget.

= 1.38.3 - 05 August 2022 =
* Anything Carousel: Resolved potential navigation malfunction.
* Post Carousel: Improved partially visible post navigation.
* Improved `style` tag HTML validation.

= 1.38.2 - 27 July 2022 =
* Features: Resolved PHP 8 error when Features Per Row is empty.

= 1.38.1 - 20 July 2022 =
* Contact Form: Resolved a notice if Name and Message fields aren't included.
* Post Carousel: Improved partially visible posts navigation.
* Social Media Buttons: Resolved Email network dissociation on edit and save.

= 1.38.0 - 14 July 2022 =
* Anything Carousel: Added `Adaptive Height` setting.
* Hero: Prevented padding reset on mobile if mobile values are empty.
* Developer: Allow plugins to filter global settings defaults via `siteorigin_widgets_settings_form`.

= 1.37.1 - 08 July 2022 =
* Contact Form: Maintain radio and checkbox input size on iOS.
* Hero: Resolved Extra Top Padding related notice.
* Social Media Buttons: Restored the Phone and RSS icons.

= 1.37.0 - 30 June 2022 =
* Buttons: Changed the design default from Atom to Flat.
* Contact Form: Minor placement adjustment for Really Simple CAPTCHA error messages.
* Hero: Ensured valid mobile padding values are output after settings migration.
* Image: Added an `External Image Size` setting.
* Image: Restored Simple Lightbox plugin compatibility.
* Social Media Buttons: Added Font Awesome 6 support.
* Social Media Buttons: Added Patreon.
* Social Media Buttons: Updated removed Tripadvisor icon to the suitcase icon.
* Font Awesome: Upgraded from version `5.15.1` to `6.1.1`.
* Added Stream protocol support `steam://connect/IP:Port/`.
* Added a check to ensure widgets exist before enqueuing related scripts.
* Developer: Added `siteorigin_widgets_contact_field_attr` filter to the Contact Form Widget.

= 1.36.0 - 19 June 2022 =
* Contact Form: Added support for [Really Simple CAPTCHA](Really Simple CAPTCHA) plugin. A DSGVO complaint captcha.
* Features: Moved the title `HTML tag` setting to the `Font Design > Title` settings section.
* Features: Restored feature column width when `Icon container shape` set to `None`.
* Google Maps: Fixed static maps custom style notice.
* Hero: Fixed Top Padding unit of measurement.
* Sliders: Resolved Modern Parallax jump on load.
* Sliders: Added `anchor-id` attribute.
* Tabs: Removed Anchor ID functionality when disabled.
* Video Player: Standardized YouTube URLs.
* Web Safe Fonts: Added Times New Roman. Alphabetized and updated the CSS font stacks.
* jQuery Migrate: Replaced error shorthand and bind usage. 
* Developer: Sliders - Added `slider_setup_before` and `slider_setup_after` events.
* Developer: Added `siteorigin_widgets_search_posts_order_by` filter. Change post search order results as required.

= 1.35.1 - 25 May 2022 =
* Updated WordPress `Tested up to` tag.
* Accordion: Added a hyphen prior to the panel URL anchor.

= 1.35.0 - 21 May 2022 =
* Contact Form: Added reCAPTCHA V3 support.

= 1.34.0 - 16 May 2022 =
* Icon: Hide icons from screen readers.
* Google Maps: Added Custom Marker Icon image size settings.
* Sliders: Ensured autoplaying YouTube and Vimeo background videos will pause on slide change.
* Widgets Block: Added HTML anchor support located at Block > Advanced.
* CSS Cache Compatibility: Added support for LiteSpeed Cache plugin.

= 1.33.1 - 30 April 2022 =
* Accordion and Tabs: Added support for the SiteOrigin Premium Anchor ID Addon.
* Anything Carousel: Resolved a `Previous Nav Arrow` error.
* Anything Carousel: Improved theme compatibility by preventing nav arrow container overflow hidden.
* Lottie Player: Fixed an error in the closing `</div>` tag.

= 1.33.0 - 23 April 2022 =
* New Widget! Introducing the SiteOrigin Lottie Player Widget.
* Carousel Widgets: Resolved a dot navigation miscalculation when multiple carousels present.
* Features: Improved mobile alignment.
* Image and Image Grid: Added `wp_get_loading_attr_default` to prevent lazy loading above the fold.
* Social Media Buttons: Improved hover behavior and styling.
* Widget Block: Resolved a missing widget author notice.
* Resolved PHP 8 notices.
* Developer: Added `siteorigin_widgets_WIDGET_NAME_lazy_load` filter to manually exclude Image and Image Grid Widgets from lazy loading.
* Developer: Added `siteorigin_widgets_contact_email_headers` to add additional headers to the Contact Form.
* Developer: Added `siteorigin_widgets_tabs_scrollto_offset` to adjust the Tabs `Scroll To` offset.

= 1.32.3 - 08 April 2022 =
* Anything Carousel: Restored Autoplay functionality if Navigation Arrows are disabled.
* Features: Improved CLS by inlining column alignment.
* Hero and Layout Slider: Improved CLS by inlining height value on load.
* Image Grid: Renamed `Display` settings group to `Settings`.
* Updated Google Fonts list.

= 1.32.2 - 23 March 2022 =
* Anything Carousel: Restored arrow functionality. Resolved `Less_Exception_Compiler` notice.

= 1.32.1 - 20 March 2022 =
* Post Carousel: Resolved Autoplay not functioning when Navigation arrows disabled.

= 1.32.0 - 14 March 2022 =
* Post Carousel: Added a new `Autoplay Continuous Scroll` setting.
* Post Carousel: Resolved a potential item tag notice.
* Widgets Block: Resolve error when trying to use disabled third-party widget.
* Widgets Block: Accounted for a potential third-party widgets filename conflict.
* Widgets Block: Added non-SiteOrigin widget author names.
* Widgets Block: Resolved a potential `Undefined index` notice if a widget isn't selected.

= 1.31.0 - 05 March 2022 =
* Post Carousel: Updates to allow for themes to be added.
* Post Carousel: Fixed `Responsive > Tablet > Landscape` settings.
* Post Carousel: Added support for the  Default Thumbnail: External URL field.
* Developer: Added preset field support for state emitters when reopening widgets.
* Developer: Added `siteorigin_widgets_accordion_scrollto_offset` filter.

= 1.30.1 - 22 February 2022 =
* Widgets Block: Prevented a potential notice within the WP admin.

= 1.30.0 - 14 February 2022 =
* Button and Contact Form: Migrated `onclick` to `on_click` to avoid a Worfence flag.
* Call To Action: Remove `Use default background colors` setting.
* Social Media Buttons: Added new settings: `Icon color hover` and `Background color hover`.

= 1.29.2 - 04 February 2022 =
* Widgets Block: Excluded the Contact Form from caching. Resolves error on first submission.

= 1.29.1 - 27 January 2022 =
* Updated `Tested up to` tag to `5.9`.
* Widgets Block: Prevented a potential `Undefined Error` outside of the WP admin.

= 1.29.0 - 15 January 2022 =
* Accordion/Tabs: Removed the Border Radius setting dependency on Border Width.
* Contact Form: Added a new `Enabled` setting to checkbox options.
* Sliders: Disabled `loading` override when the AMP plugin is active.
* Widget Block: Excluded Post Carousel from caching.

= 1.28.0 - 26 December 2021 =
* Accordion: Set closed panels to hidden prior to loading.
* Anything Carousel: Added a new Animation setting. Choose between Ease or Linear.
* Features: Set Feature admin label to Icon title or Title text if available.

= 1.27.0 - 17 December 2021 =
* Price Table: Added new Header, Featured and Feature text color settings.
* Slider Widgets: Prevented potential settings migration error.
* Widget Block: Prevented potential Google Maps error.

= 1.26.1 - 04 December 2021 =
* Carousels: Renamed `Carousel Settings` to Settings.
* WPML: Filter posts listed in widget search fields to current page language.

= 1.26.0 - 17 November 2021 =
* CSS Cache Compatibility: Added support for Breeze and Hummingbird.
* Anything Carousel: Added a ` Slides to show` setting.
* Button: Allowed for apostrophes to be used in the `Onclick` field.
* Hero: Updated buttons to allow the dollar sign to be used.
* Social Media Buttons: Added the Google network.
* Widget Block: Resolved potential edge case Google Maps console errors.
* Widget Block: Minor Icon Widget form styling improvements.

= 1.25.1 - 30 October 2021 =
* Google Maps: Resolved an unexpected content error when previewing in the Block Editor.
* Hero: Migrated Text Shadow setting from a 0-1 to a 0-100 range.
* Sliders: Added a Background video opacity setting for self-hosted and external videos.
* Video Player: Removed Related Videos setting.

= 1.25.0 - 21 October 2021 =
* Features: Added a `Link feature column to more URL` setting.
* Hero and Layout Slider: Moved Layout settings to dedicated section.
* Hero and Layout Slider: Added padding responsive settings.
* Image: Added a `Rel` field. The rel attribute specifies the relationship between the current document and the linked document.
* Image Grid: Added a `Custom Size` option to the `Image size` setting.
* Post Carousel: Prevented potential overflow on load.
* Post and Anything Carousel: Changed `Display navigation` label to `Display navigation arrows`.
* Sliders: Added an `Unmute icon` and `Unmute icon position` for background videos.
* Developer: Added multiple media repeater support.

= 1.24.0 - 08 October 2021 =
* Anything Carousel: Set wrapper to full-width to avoid a potential sizing issue.
* Anything Carousel: Prevented the Widget Styles - Link Color setting from overriding `Arrows color`.
* Anything Carousel: Prevented active navigation dot from displaying a cursor on hover.
* Anything Carousel: Ensured navigation dot activation correct when viewing the last item.
* Button: Prevented potential error by ensuring `$instance` is not empty before modifying it.
* Google Maps: Changed map setup to allow for greater flexibility.
* Post and Anything Carousel: Added a Responsive section `Show navigation` setting.
* Post and Anything Carousel: Migrated design settings to a `Design` section.
* Slider Widgets: Moved the `Loop slide background videos` to within the frame `Background video` section.
* Social Media Buttons: Removed the Google+ network.
* Video Player Widget: Enabled oEmbed for external videos.
* Slider Background Videos: Mute when autoplay is enabled. Required for video autoplay in Chrome.
* WPML: Added a translation compatibility XML file. Requires WPML 4.5.
* Developer: Added a new event for the carousel `carousel_setup`.

= 1.23.1 - 16 August 2021 =
* Anything Carousel: Set wrapper to full-width to avoid potential sizing issue.
* Anything Carousel: Prevented Page Builder widget Links Color setting from overriding navigation arrow color.
* Anything Carousel: Ensured navigation dot cursor is correct on hover.
* Testimonials: Collapse to column for mobile.
* Beaver Builder: Improved color picker styling.
* SiteOrigin Widget Block: Resolved new widget area notice.
* Updated Google Fonts list.
* Minor admin area form styling improvements.

= 1.23.0 - 20 July 2021 =
* Compatibility enhancements for WordPress 5.8.
* Anything Carousel: Resolved responsive behaviour issue.

= 1.22.0 - 15 July 2021 =
* New Widget! Anything Carousel: Display images, text, or any other content in a carousel.
* Headline: Added a global Responsive Breakpoint setting at Plugins > SiteOrigin Widgets > Headline: Settings.
* Headline: Added Mobile Alignment settings for the Headline, Sub Headline, and Divider.
* Layout Builder: Widget Areas: Prevented the creation of a CSS file for every page.
* Slider: Disallowed Jetpack Lazy Loading.
* Video Player: Added `Enable browser video controls` setting.
* Developer: Added a preset form field. Store a selected preset. [Docs](https://siteorigin.com/docs/widgets-bundle/form-building/presets/).
* Developer: Fixed `SITEORIGIN_WIDGETS_DEBUG` constant. Useful for debugging, bypasses widget CSS cache. [Docs](https://siteorigin.com/docs/widgets-bundle/templating/less-stylesheets/).

= 1.21.0 - 24 June 2021 =
* Google Maps: Prevented a jump on load when Info Windows is set to always display.
* Google Fonts: Ensured all weights and styles are imported.
* Headline: Changed default heading to `h2`.
* Hero: Removed the button alignment setting, alignment is handled directly within each slide frame.
* Image: Added a `Link title to URL` setting.
* Image Grid: Added `Image vertical alignment` and `Grid horizontal alignment` settings.
* Post Selector: Added an option to adjust the taxonomy relationship.
* Sliders: Prevented potential PHP 8 error with overlay attribute filter.
* Developer: Added an optional title to the multiple media form field.
* Developer: Improved multiple media non-image support.
* Developer: Added an optional `image_dimensions` parameter for the multiple media field.
* Developer: Added a repeater increment label option.

= 1.20.0 - 01 June 2021 =
* Added integration for WP Super Cache and Swift Performance plugins.
* Button: Added a `Mobile align` setting and global Button `Responsive Breakpoint` setting at `Plugins > SiteOrigin Widgets > Button: Settings`.
* Contact Form: Allowed whitelisted HTML in checkbox option fields.
* Headline: Fixed invalid font property when multiple font variants in use.
* Image: Added native lazy `loading` attribute.
* Image Grid: Added native lazy `loading` attribute for external images.
* Image Grid: Changed `Spacing` setting to a multi-measurement field and renamed it to `Image padding`.
* Sliders: Added `Loop slide background videos` setting.
* Sliders: Improved background video autoplay setting description.
* Sliders: Removed `wp_is_mobile` dependency to improve caching.
* Video Player: Added `Loop` setting for YouTube videos.
* Widget Block: Resolved Contact Form nonce error.
* Widget Block: Resolved `Only variables should be passed by reference` notice.
* Developer: Cleared the Icon Widget default icon if the icon font family doesn't exist.
* Developer: Fixed multiple media remove link detection.

= 1.19.0 - 19 May 2021 =
* Button: Allow shortcodes in `Destination URL` field. Only shortcodes that return a URL are suitable.
* Contact Form: Added a new `Number` field type.
* Image Grid: Changed vertical align to baseline.
* Layout Slider: Added a `slider_control` shortcode.
* Slider: Ensured the foreground image height is only set if a background image is present.
* Sliders: Added `Always show navigation on desktop` setting.
* Social Media Buttons: Added IMDb.
* Video Player: Added FitVids support for fluid width video embeds.
* Widget Block: Added a widget type search field.
* Widget Block: Minor media field responsive improvements.
* Widget Block: Automatically activate inactive widgets as needed.
* Styling improvements to the icon filter fields.
* Responsive improvements to the `Plugins > SiteOrigin Widgets` page.
* Developer: Added a multi-upload field for media.
* Developer: Added an option to disable the TinyMCE form field Add Media button.
* Developer: Added form field class prefix and path filtering using `siteorigin_widgets_field_registered_class_prefixes` and `siteorigin_widgets_field_registered_class_paths`.

= 1.18.2 - 27 April 2021 =
* SiteOrigin Widget Block: Ensured icons are enqueued.
* Slider: Only apply foreground height if a background image is set.

= 1.18.1 - 20 April 2021 =
* Reverted Less `3.1.0` update to restore compatibility for PHP versions below `7.1`.

= 1.18.0 - 20 April 2021 =
* Updated the Google fonts list.
* Updated Font Awesome from `5.14.0` to `5.15.1`.
* Block Editor: Styling fixes including specific fixes for the Twenty Twenty-One theme.
* Contact Form: Set missing message default value.
* Contact Form: Nested the required indicator to make styling easier.
* Editor: Stopped processing the `<!--more-->` quicktag in previews.
* Features: Ensured the title tag exists before outputting.
* Image: Added ability to set custom image sizes.
* Image Grid: Changed to use Flexbox to avoid unintended spacing.
* Post Carousel: Added an overlay hover opacity setting.
* Slider: Added a `Height` setting if the `Foreground image` is set.
* Social Media Buttons: Added Discord.
* Video: Added a `Loop` setting for self-hosted videos.
* Video: If `autoplay` is enabled, `playsinline` will be added.
* Accessibility: Implemented keyboard navigation for the Widgets Bundle admin interface. You can now tab through all fields and settings, and make changes without a mouse.
* Developer: Post Carousel: Added `siteorigin_widgets_post_carousel_post_limit` filter
* Developer: Google Maps: Corrected marker JavaScript property names.
* Developer: Block Editor: Store and serve rendered widget.
* Developer: Image form field: Added an optional parameter `custom_size` to enable custom sizes.
* Developer: State Emitters: Improved media field external support.
* Developer: Sanitized italic fonts rather than clearing them.
* Developer: Replaced older-style PHP type conversion functions with type casts.
* Developer: Add `units` and `default_unit` parameters for the measurement field.
* Developer: Changes for PHP 8.

= 1.17.11 - 09 December 2020 =
* Google Maps: Added Map Style button styling.
* Accordion: Submitted contact forms added to Accordion will now open the panel on load.
* Tabs: Prevented the Scroll To setting from affecting the currently selected tab.
* Image Grid: Use image title as item label if set.
* Developer: jQuery updates for WordPress 5.6.
* Developer: Set Slider background image loading to Eager.
* Developer: Exposed Google Maps instances. Once set up, maps can be accessed via `sowb.SiteOriginGoogleMapInstances`.
* Developer: Add a Google Maps `maps_loaded` event that triggers after all of the Google Maps have finished being set up.

= 1.17.10 - 13 November 2020 =
* TinyMCE: Resolved issue with the Add Media button.

= 1.17.9 - 12 November 2020 =
* Block Editor: Resolved widget preview issue.
* Elementor: Minor admin styling improvements.
* Google Maps: Added a new global consent setting `Require consent before loading Maps API` at `Plugins > SiteOrigin Widgets > Google Maps`.
* Posts Carousel: Added a `Link target` setting.
* Video Player: Mute self hosted videos set to autoplay.
* Tabs: Added a new global setting `Scroll top` at `Plugins > SiteOrigin Widgets > Tabs` to disable scrolling when changing tabs.
* Accordion: Added a new global setting `Scroll top` at `Plugins > SiteOrigin Widgets > Accordion` to disable scrolling when changing accordions.
* Posts Carousel: Added a new `Slides to scroll` setting for desktop, tablet, and mobile.
* Safari: Ensured the Hero can save when used at `Appearance > Widgets`.
* Updated the widget title field to allow HTML in all SiteOrigin widgets.
* Changed to `enqueue` Google Fonts rather than `@import`.

= 1.17.8 - 28 September 2020 =
* Image: Prevent image stretching while using Safari

= 1.17.7 - 10 September 2020 =
* Hero and Layout Sliders: Disable image preload for images added to frames.
* Resolved a preview issue with widgets that attempt to render sub widgets but don't output them.
* Contact Form: Added a field max-width setting.
* Resolved a jQuery Migrate notice on the global widget settings page at `Plugins > SiteOrigin Widgets`.
* Media field: Enhancements to improve usability.
* Disabled Settings buttons while saving global widget settings at `Plugins > SiteOrigin Widgets`.
* State Emitters: Added an animation to conditional settings.
* Posts Carousel: Prevented blank slides loading after all posts are loaded.
* Posts Carousel: Added a new Design settings section and settings.
* Posts Carousel: Ensured the correct navigation buttons are hidden when multiple carousels are in use.
* IE 11: Prevented images from exceeding the widget container.
* Removed wpColorPickerL10n if WP >= 5.5.

= 1.17.6 - 17 August 2020 =
* Hero and Layout Sliders: Disabled lazy loading for images added to the slide content area.
* Slider: Disabled lazy loading in the Block Editor.

= 1.17.5 - 12 August 2020 =
* Slider: Disable WordPress 5.5 Lazy Loading.

= 1.17.4 - 06 August 2020 =
* Post Carousel: Improved support for multiple carousel widgets on the same page.
* Post Carousel: Improved mobile support.
* Sliders: Added `Autoplay` and `Autoplay Pause on Hover` settings to the Slider, Layout Slider and Hero widgets.
* Features: Allowed shortcodes to be used in the Text field.
* Contact Form: Fix to ensure the correct fields are passed to Akismet.

= 1.17.3 - 23 July 2020 =
* Reverted: Features: Prevented icon overlapping text in edge cases.
* Social Media Buttons: Added TikTok.
* Button: Removed `:visited` color targeting.
* Button: Set hover background color defaults.
* Carousel: Improved multi-carousel support.
* Carousel: Triggered click on swipe for mobile devices.
* Carousel: Contextualized variables as needed.
* Carousel: Find the `ItemWidth` as needed rather than predefining it.

= 1.17.2 - 21 July 2020 =
* Resolved button Less CSS bug.

= 1.17.1 - 20 July 2020 =
* Post Carousel: Prevented all posts from outputting. `10` will be output at a time if `Posts per page` isn't set.
* Post Carousel: Inlined navigation buttons if a title is set.
* Updated the Google Fonts array.
* Editor: Added `wp_filter_content_tags` function.
* Updated [Packery](https://packery.metafizzy.co/) to latest version.
* Simple Masonry: Added a `Layout origin` setting.
* Testimonials: Set testimonial text width to `100%`.
* Updated Font Awesome to latest version.
* Image: Added `siteorigin_widgets_image_args` filter allowing adjust all of the widget arguments and attributes.
* Simple Masonry: Added external image support.
* Code Form Field: Removed HTML sanitization.
* Tabs: Added smooth scroll to tab when linked to.
* Added `font-display: block` to all font icons.
* Widget Block: Added `Additional CSS Classes` output.
* Button: Added Button hover style settings.
* Features: Prevented icon overlapping text in edge cases.
* Post Carousel: Resolved IE 11 JavaScript error.
* Post Carousel: Vertically align navigation icons and title when title present.
* Editor: Added `noreferrer` to any target links preventing Layout block failing validation when `target=_blank` link added.
* Hero: Prevented buttons from loading when buttons shortcode isn't added.
* Post Carousel: Added a `Link target` setting.
* Post Carousel: Disable button navigation if number of visible posts is more than total posts.
* Mobile: Improved admin form field responsive behavior.
* Updated Font Awesome from `5.13.0` to `5.14.0`.

= 1.17.0 - 22 May 2020 =
* Simple Masonry: Added a preloader and related settings.
* Post Carousel: Migrated to Slick Carousel.
* Post Carousel: Added RTL support.
* Icon: Added Title field.
* Minor admin interface styling fixes.
* Price Table: Added title for the feature hover text.
* Testimonials: Added `Equalize testimonial height` setting.
* Testimonials: Fixed user image alignment.
* Switched to Wikimedia's fork of less.php.
* Added error suppression for external Less library.

= 1.16.1 - 20 April 2020 =
* Accordion: When hiding panels, only search the current accordion and not nested accordions.
* Slider Widgets: Removed slide navigation numbers from excerpt output.
* Added support for custom icon styles.
* Tabs: Fixed top/bottom tab alignment when tab position is set to right/left.
* Post Carousel: Prevent themes from adjusting the thumbnail top margin.
* Improved the reliability of widget description translations. Updated various widget descriptions.
* Editor: Resolved the notice appearing when post meta wasn't available.
* Simple Masonry: Item labels - If the item title field isn't populated use the image title field.
* Hero: Added a setting to vertically align the slide contents.
* Updated jQuery TouchSwipe.
* Sliders: Fixed pagination spacing when HTML optimization is in use.
* Layout Slider: Set frame labels based on the content inserted.
* Slider: Set frame labels based on the content inserted.
* Contact Form: Added placeholder support to the dropdown select field. Used if the field label position is set to Inside.
* Contact Form: Added Required support for the dropdown select field.
* FontAwesome: Moved Brands to the last position in dropdown list.
* Layout Slider: Added a setting to vertically align the slide contents.

= 1.16.0 - 11 February 2020 =
* Block Editor: Fixed widget select field width and alignment.
* Removed unused template files.
* Contact Form: Improved checking for SiteOrigin development email addresses.
* Minor styling improvements to the Classic and Block Editor admin interfaces.
* Features: Added a new setting to select the H tag to be used for the title field.
* Hero: If a height value is assigned, added prefilling to avoid a page jump.
* Hero: Added `font-display: swap` for Google font imports.
* Layout Slider: If a height value is assigned, added prefilling to avoid a page jump.
* Image Grid: Added a class of `sow-image-grid-image_html` to each image. Can be used to exclude images from Lazy Loading plugins.
* Simple Masonry: Added a class of `sow-masonry-grid-image` to each image. Can be used to exclude images from Lazy Loading plugins.
* Features: Added fallback support for the Icon image field.
* Testimonials: Add fallback support for the Image field.
* Post Carousel: Prevented looping until all posts are loaded.
* Post Carousel: Added a new setting to disable looping.
* Post Carousel: Prevented scrolling past loading items and loop as soon as last item is completely visible.
* Contact Form: Added disabled cursor to submit button when disabled.
* Block Editor: Resolved Features widget default settings.
* Tabs and Accordion: Account for accented characters.
* Social Media Buttons: Allowed for multiple instances of the same network without duplicating colors.
* Social Media Buttons: Ensured all icons are correctly centered.
* Contact Form: Added lightweight validation for phone numbers.
* Block Editor: Display author for third party widgets.
* Block Editor: Added processing for the more quicktag in the Editor widget.
* Tabs and Accordion: Added icon spacing.
* Testimonials: Improved image sizing behavior for square images.

= 1.15.9 - 11 November 2019 =
* Contact Form: Improved default email address handling.
* Contact Form: Improved subject field labeling.
* Post Carousel: Loop the carousel when reaching the end.
* Social Media Buttons: Fixed issue with responsive breakpoint unit of measurement.
* Google Maps: Ensured settings modal window opens when directed to insert API key.
* Google Maps: Fixed map center field when used in the Customizer.
* Fixed compatibility with WordPress 5.3.
* Minor code style and widget label improvements.

= 1.15.8 - 20 August 2019 =
* Run FitText setup on window resize events.
* TinyMCE field: Copy any missing content CSS urls from main editor.
* Post Carousel: Prevent scrolling past the last item.
* Contact Form: Prevent sending to testing/dev emails.
* Widget block: Add `h3` wrapper for widget titles.
* Image widget: Remove `width:inherit;` IE8 fix for bound setting which breaks in IE11.
* Sliders: Added padding to slider navigation arrows.
* Accordion: Check if if anchor is present in URL and scroll to Accordion item.
* Various form description and styling fixes.

= 1.15.7 - 22 May 2019 =
* Widget Block: Ensure changed data is retained after previewing.
* Image widget: Prevent overflow of image container when wrapped in link.
* Image Grid: Dispatch event to notify listeners that layout is complete.
* Image Grid: Fix layout for images wrapped in links.
* Image grid: Use image media title for display if title isn't set in the widget form.
* Layout Slider: Remove header and text style fields.
* Remove Autoptimize cache clearing as it detects changes automatically.
* Update FontAwesome icons.
* Google Maps location field: Ensure value is retained after preview in the block editor.
* Prevent issue in SiteOrigin Layout Block when `sowb` hasn't been defined.

= 1.15.6 - 29 April 2019 =
* Image: Fix images vertical stretching.
* Image: Fix widths for images wrapped in links.
* Google Maps Location Field: Remove some unnecessary use of jQuery to avoid `$ is not a function` errors.
* Google Maps Location Field: Check if matchError exists before accessing.

= 1.15.5 - 25 April 2019 =
* Removed admin notice for new widgets.
* Slider Base Widget: Removed unused background videos height setting.
* Price Table: Recalc equalized heights when window size or orientation changes.
* Google Maps location field: Use value in sanitization if already an array.
* Add compatibility for Autoptimize.
* Simple Masonry: Ensure all available width is used for layout.
* Image: Change alignment to use `display:flex` instead of `text-align`.

= 1.15.4 - 27 March 2019 =
* Slider field: Live updates for display value.
* Widget block: Show error if missing or invalid widget data.
* Google Maps: Add more links to relevant docs for enabling required APIs.
* Google Maps Location field: Catch API key errors and display notice.
* Run FitText resizer on `setup_widgets` too.
* Add font url as property of font info object.
* Image grid: Use opacity for initial hide of images so that size may still be detected.
* Google Maps: Detect draggable or scroll_zoom before running setting migration.
* Accordion and Tabs: Trigger window resize on start of animation.
* Icon: Prevent undefined index notices.

= 1.15.3 - 6 March 2019 =
* Image grid: Fallback support, alt text, use measurement fields.
* Features: Fix responsive layout.
* Google Maps: Update to use gesture handling and separate zoom level for mobile.
* Google Maps: Default height when height field is empty.
* Sliders: Option to always show navigation on mobile devices.
* Accordion: Keyboard navigation.
* Beaver Builder: Fix icons and widgets not saving.
* Video: Allow using YouTube embed URLs.
* Post Carousel: Accessibility improvements.
* Escape namespaced widgets in previews.
* Flag additional metaboxes as incompatible with the block editor.
* Fix state emitters for sub-widget fields.
* Google Maps: Remove API key field from widget form, in favor of global API key field.
* Google Maps: Display notice when API key missing.
* Contact form: Prevent double nonce.
* TinyMCE field: Prevent twemoji from replacing emoji in the textarea.
* Widget block: Show appropriate message when widget is missing or deactivated.
* Accordion: Fix open/close icon layout when set to left position.
* Social Media Buttons: Prevent the phone network from opening in a new window.
* Google Maps: Add map styles filter.
* Image radio field: New field created.
* Posts field: Option to specify allowed post types.
* Contact form: Add description to reCAPTCHA field specifying reCAPTCHA v2.

= 1.15.2 - 18 February 2019 =
* Tabs: Set default tab position to top.

= 1.15.1 - 15 February 2019 =
* Google maps: Use correct locations for static maps.

= 1.15.0 - 14 February 2019 =
* Location field: New specialized admin form field which autocompletes addresses using the Google Maps places library.
* Google maps: Moved global API key override to `modify_instance` to make key available in admin form too.
* Google maps: Auto-migration of locations to new location field format.
* Update LESS PHP library with fixes for PHP 7.3 compatibility.
* Features: Apply text styles to all features content, not just `<p>` tags.
* Social Media: New networks: Bandcamp, Goodreads, Telegram, Strava, Blogger.
* Accordion: Fix issue preventing use of numbers in panel titles.
* Block editor: Preview fixes.
* Beaver Builder compat: Fix widgets failing to update and CSS for FontAwesome icons.

= 1.14.1 - 9 January 2019 =
* Icon field: Set correct value of currently selected icon for non-FA icons.
* Icon field: Avoid requiring that third party icon families include a `filter.php` file.
* Widget block: Use JS array reduce function instead of lodash.
* Allow widgets registered by instance.
* Multi-measurement field: Fix layout.
* Block editor: Send widgetData when fetching widget forms.
* Tinymce field: Prevent JS console errors for hidden fields.
* Order field: Additional sanitization before rendering.

= 1.14.0 - 4 January 2019 =
* Accordion: allow multiple panels with the same title.
* Actions when widgets' CSS files are created/deleted.
* Compat fixes for PHP 7.3
* Indicate when 'setup_widgets' is triggered for previews.
* Accordion: Debounce window.location.hash updates to prevent incorrect states.
* Don't remove FitText window listener to ensure previously set up FitText elements still work.
* Icon field: Show loading indicator while icons are loading.
* Widget documentation links.
* Icons: Update to use latest FontAwesome icon sets.
* Sliders: Resize slides when widgets are set up.
* Elementor compat: Directly enqueue necessary scripts and styles for previews.
* Allow widget headers to be translated.
* Accordion: Keep the clicked panel in the viewport, if it moves out.
* TinyMCE field: Check if tinymce is available before using.

= 1.13.4 - 6 December 2018 =
* Widget block: Fix Layout Slider not being editable.
* Widget block: Correct used of i18n for block editor.
* Widget block: Fix previews.
* Google map: Move global API key override to `modify_instance` to ensure key is available in form.
* Widget block: Prevent multiple API requests.

= 1.13.3 - 15 November 2018 =
* Contact: Fix checkboxes and radio alignment on android.
* FitText: Set minimum font size to ensure readability.
* TinyMCE field: Use correct editor when block editor is present.
* Google maps: Use correct info window text for markers.
* TinyMCE: Remove 'editor-buttons' style enqueue causing conflicts.
* TinyMCE field: Prevent adding multiple copies of media buttons.
* Image widget: if no alt text is supplied add an empty alt attribute.
* Repeaters: Reverted some commits causing multiple issues.
* WP 5: Fixed some styles in the block editor.
* Only setup form fields in the dialog when a PB edit widget dialog is opened.
* Multi-measurement field: Fix autoFill in block editor and attempt to fix in PHP <= 5.3.

= 1.13.2 - 31 October 2018 =
* Builder field: Prevent error in PHP <= 5.4
* Avoid replacing repeater item id placeholders for child repeaters.
* Repeaters: In repeater setup, don't setup child repeaters.

= 1.13.1 - 29 October 2018 =
* Gutenberg: Alert user that changes will be lost when changing the widget type.
* Tabs: Keyboard navigation and more accessibility improvements.
* Google maps: Better geocoding request management.
* TinyMCE field: Use correct selector for checking whether click target is editor switching tab.
* Slider: Option to prevent hiding video on mobile.
* Accordion: Deep-linking for child accordions.
* Use inline CSS fallback if writing to file failed.
* Better FitText compressor description.
* Delete old widget styles when updating widgets.
* Layout Slider: Resoonsive height.
* Accordion: Expand when user is printing.
* Features: Text case adjustments and formatting.
* Beaver Builder: Dark styling.
* Builder field: Allow double-encoding to allow already encoded text in editors.
* Contact form: Prevent adding the anchor again if it's already been added.
* Contact form: Attempt to scroll to contact form after submitting, so result is visible.
* Builder field: Set data correctly from JS.
* Builder field: Don't encode already JSON encoded values.
* Gutenberg: Allow editing page containing deactivated widget.
* Gutenberg: Reset global `$post` after enqueueing widgets' scripts and styles, which might run secondary queries.

= 1.13.0 - 13 September 2018 =
* SiteOrigin Widgets Gutenberg block!
* Google Map: Prevent script from running further if no map canvas elements found.
* Removed style to set `p` margins to zero.
* Check that fallback image for static maps is not an empty string before attempting to use it.
* TinyMCE: Ensure target is one of the editor tabs when switching modes.
* Set values for repeaters which are direct children of section fields.
* Prevent unselected radio input state emitters from affecting form states, when form values are set programmatically.
* Plugin Action Links: Check if edit link is present before removal.
* Social Media Buttons: Added Phone and Angelist. Changed email title text.
* Metabox manager: Set empty post meta string value to array. Ensure metabox widget form values are saved when saving drafts too.

= 1.12.1 - 17 July 2018 =
* Contact: Allow non-string values in required field validation.
* Initialize CTA, Price Table and Video JS widgets correctly when in accordion/tabs widgets.

= 1.12.0 - 11 July 2018 =
* Contact: Add dedicated textarea height.
* Social Media Buttons: Adds WhatsApp social network.
* Features: Allow icon size to use a different unit of measurement.
* Repeater field: Update editor id in media buttons when duplicating item with TinyMCE editor.
* Posts field: taxonomy description.
* Price Table: Disable equalized row heights on mobile.
* Beaver Builder: Force icon fonts.
* Slider widgets: Added autoplay option for background videos.
* Maps: Renamed Google maps script to more sensible `sow.google-map.js`
* Editor: Prevent errors when visual editing is disabled for a user.
* Optimized images.
* Accordion/tabs: Trigger 'setup_widgets' to ensure any widgets in panels are initialized correctly.
* Contact: Use 'From' email address if there is no email field in the form.
* Hero: Filter out the align field in the button sub-widget form.
* Testimonials: Switch mobile and tablet resolution width field descriptions.
* Posts field: Allow clearing dates.
* Font field: Use correct value for 'Helvetica Neue' and added 'Arial' option.
* TA: Additional setting to allow clearing the default background colors.
* Contact: Allow a value of '0' for required fields and subject values.

= 1.11.8 - 12 April 2018 =
* Added action just before rendering widget previews.
* Editor: Removed `unwpautop`.
* Editor: Ensure TinyMCE field knows whether to apply `autop` or not.
* Editor: Only apply `autop` on display when using HTML editor.
* Editor: Prevent `widget_text` filters from running `do_shortcode`.

= 1.11.7 - 23 March 2018 =
* Image: Add title alignment setting.
* Button: Add max-width to ensure buttons are responsive.
* Hero: New filter for frame content 'siteorigin_hero_frame_content'
* Features: Don't set margin for one column left/right feature.
* Updated widget icons.
* Updated google web fonts.

= 1.11.6 - 14 March 2018 =
* Hero: Add responsive height settings.
* Added pikaday jQuery plugin and register pikaday scripts for front end too.
* Features: item float clearing and padding mobile specific.

= 1.11.5 - 13 March 2018 =
* Features: Better feature padding removal on row ends.
* Sliders: WCAG 2.4.4 compliance.
* Tabs: Hide widget title when no title is set.
* TinyMCE field: Added setting for `wpautop` processing which is on by default.
* Contact: When Gradient disabled, set basic background.
* Beaver Builder compat: Only set SOWB widget form values when editing a SOWB widget.
* Contact: Option to log submitter's IP address.
* Add random number and set `more_entropy` to increase chance of unique form ids.
* Contact: Added 'tel' field type which should show numeric keyboard on mobile.
* Media field: Trigger change event when removing selected image.
* Renamed the PHP LESS parser to `SiteOrigin_LessC` to avoid conflicts.
* Date range field: Prevent initializing date range fields multiple times and ensure date format consistent.
* Register pikaday as common script and enqueue as needed in fields.
* Google Map: Show satellite map type.
* Translation: Add context to From strings.
* Add missing semicolons to Ionicons codes.

= 1.11.4 - 7 February 2018 =
* Slider: Add playsinline for Video backgrounds for iOS.
* Repeater field: Trigger change events for repeater when adding, removing or duplicating items.
* TinyMCE field: Removed special handling for TinyMCE fields when retrieving data. Just use field value directly.
* Fixed build overwriting some CSS files.

= 1.11.3 - 10 January 2018 =
* Hero: Add margin-top to so-widget-sow-button for spacing.
* Accordion: Added overflow to prevent Image overlap.
* Google Maps: Always register Google Maps script.
* Social Buttons: Mobile Alignment global widget settings
* Contact Form: Ability to control the width of the submit button.
* Contact Form: Add alignment options for submit button.
* Contact Form: Setting submit button gradient intensity to 0 removes gradient.
* Contact Form: Add success and error hooks.
* Accordion: Don't output widget title if not set.
* Accordion: Icon title collapse fix.
* Contact Form: Add placeholder for field type input.
* Button: Icon placement setting.
* Hero: Adjustable Paragraph text shadow.
* Hero: Add font family setting for paragraphs.
* Hero: Add link color picker.
* Slider field: allow float values and allow specifying step size.
* Contact Form: Add ability to set onclick and id for submit button.
* Features: Add ability to control responsive breakpoint.
* Global Settings: Add support for global settings added by themes.
* Beaver Builder Compat: Don't enqueue assets when all widgets are deactivated.
* Hero: Text font empty check.
* Contact Form: Preserve existing location hash when contact form is submitted.
* Post Selector: Only include current post id in exclusion if singular.
* Copy correct radio values when duplicating repeater items.
* Checkbox field: Parse string value 'false' in checkbox field sanitization.

= 1.11.2 - 27 November 2017 =
* Fix compatibility with Beaver Builder Lite.
* Tabs: Recalculate height on resize.

= 1.11.1 - 24 November 2017 =
* Hero: Allow for shortcodes to work.
* Fix posts field not displaying selected values when multiple selected.
* Widgets Page: Fix missing icon issue on windows.
* Trigger 'hide' and 'show' events in Accordion and Tabs widgets when toggling content.
* Fix Google Maps widget not displaying when map is initially hidden.
* Fix Beaver Builder compatibility.
* Builder field: Pass builder type when setting up builder fields.
* Tabs: Use correct variable for tab anchor.
* Repeater field: Prevent radio inputs values being cleared in repeaters when sorting.
* Accordion: Added title field.
* Fix PHP version compatibility checker errors.

= 1.11.0 - 7 November 2017 =
* New Tabs widget!
* Contact: mention it's possible to send to multiple emails.
* Features: Fixes margin causing extended page.
* Presets field.
* Accordion: Add Repeater Label Title.
* Hero: ability to select an image size.
* TinyMCE field: Remember last selected editor.
* Add rel="noopener noreferrer" for all 3rd party/unknown links.
* Social Media Buttons Widget: comply WCAG 2.4.4

= 1.10.2 - 20 October 2017 =
* Fix for links sometimes not working in slider widgets.
* Fix multi-measurement field labels.

= 1.10.1 - 13 October 2017 =
* Fix subwidget fields initializion when not contained in a section.
* TinyMCE field: fix initialization in repeaters.

= 1.10.0 - 11 October 2017 =
* New Accordion widget!
* Prevent multiple initialization of media field.
* Use correct path for widget banner when defined in a theme.
* Video: Added option to show/hide related YouTube videos at end of video.
* Slider: Handle links inside slider frames first and then allow processing of frame background clicks.
* Give repeated fields in widget fields unique ids for state handling.
* New multi-measurement field.
* Widget Manager Path Comparison fix. (allows for settings to work)
* Button: Use `esc_js` instead of `esc_attr` for onclick.

= 1.9.10 - 14 September 2017 =
* TinyMCE field: fixed issue with filter for TinyMCE plugins.
* Added teaser messages for SiteOrigin Premium addons.

= 1.9.9 - 31 August 2017 =
* Avoid using relative paths in asset URLs.
* Fixed compat with latest Elementor update.

= 1.9.8 - 21 August 2017 =
* Use WordPress functions to exit AJAX actions.
* TinyMCE field: Initialized once.
* TinyMCE field: Simplified switching between TinyMCE and QuickTags.
* TinyMCE field: Check if individual TinyMCE settings are encoded as JSON and decode before re-encoding all settings.
* Some compat fixes for Elementor.
* TinyMCE field: Temporarily disable Jetpack Grunion editor.
* Use correct JS dependencies for Beaver Builder compatibility when `WP_DEBUG` not defined.
* Removed unnecessary enqueues in Beaver Builder compat for dashicons and wp media scripts.
* Post carousel: Only handle horizontal swipes.

= 1.9.7 - 11 August 2017 =
* Contact: Added user configurable field for 'From:' address.
* TinyMCE field: Use editor stylesheets for new TinyMCE editor.
* TinyMCE field: Use UTF-8 encoding for text output.
* Sliders: Check whether `$frames` is empty before using.
* Google Maps: Prevent automatic center for routes.

= 1.9.6 - 4 August 2017 =
* Slider: Background Video: Try embedding the video if oEmbed fails.
* Contact: Added some nonce checks.
* Contact: add reply-to header.
* Remove elementor panel width override.
* Editor: Fix TinyMCE editor button filters in WP >= 4.8.
* Editor: Preserve encoded HTML entities in TinyMCE field.
* TinyMCE field: Added missing `tiny_mce_before_init` filter.

= 1.9.5 - 25 July 2017 =
* Fixed icon field selection.
* TinyMCE field is initialized when quicktags is selected.
* Autocomplete field only initialized once.
* Posts field sanitization handles multiple post types.

= 1.9.4 - 24 July 2017 =
* Using new Editor JS API for TinyMCE field.
* Carousel: apply static position on `.overlay`.
* Layout Slider: Add ability to set Background image to Title and spaced the code.
* Add capabilities check to widget activation action.
* Testimonial: Corrected typo in description and corrected formatting.
* Enabling translation for "From:" in contact mail.

= 1.9.3 - 3 July 2017 =
* Editor: Fix settings form label.
* Don't select the external fallback field as value input.
* Social media buttons: Don't output calls when missing network name.
* Use gettext for widget global settings dialog title.
* Image: Added link attributes to template variables.
* Image grid: Use `get_template_variables`.
* Image grid: Template code structure a bit more readable.
* Simple masonry: Assign link attributes in `get_template_variables`.
* Slider widget: Output link attributes.
* Features: Remove redundant paragraph from template.
* Google Maps: Fix issue when no matches found in maps API error string.
* Google Maps: Mention required Google Maps APIs in field descriptions.
* Google Maps: Localized strings used in JS.
* Elementor 1.5: Ensure widgets' setup scripts are run after editing.

= 1.9.2 - 8 June 2017 =
* Post Carousel: default image for posts without featured images.
* Social Media Buttons: allow empty colors.
* Editor: prevent text processing for cache and post content rendering.
* Post selector field: Fix additional args encoding.
* Post selector field: Fix taxonomy search.

= 1.9.1 - 1 June 2017 =
* Fixed Maps widget JS error.

= 1.9 - 30 May 2017 =
* Compatibility with Visual Composer.
* Taxonomy widget text display.
* Price table widget: option to make feature row heights equal.
* New posts selector field based on other existing fields.
* New autocomplete field. Currently supports showing results from posts and taxonomies.
* New date-range field with option to select specific or relative dates.
* Editor widget: Global widget setting for default 'autop' state.
* Some layout fixes for widget forms in Elementor.
* Google Maps: fallback image when maps API not available or returns error.
* Contact form: Reduced intensity of disabled button styling.
* Google Maps: Fix markers not displaying when queries are rate limited.
* Features: Option to use specified icon size for custom icon images.
* Updated FontAwesome icon set to 4.7.0
* Updated IcoMoon icon set.
* Contact form: Allow duplicate forms on same page.
* Widget temp backup in browser storage.
* Google Maps: Custom marker icon for each marker.
* Option to specify default number of visible rows in icon field.
* Changed PHP LESS compiler to a better maintained version.

= 1.8.6 - 10 May 2017 =
* Editor widget supports Jetpack Markdown.
* Editor widget global setting for enabling/disabling 'autop' by default.
* Allow setting FitText compressor strength in hero and headline widgets.
* Fix variable name in `enqueue_registered_styles`.
* Fix FitText not working previews.

= 1.8.5 - 27 April 2017 =
* Fixed button hover class.

= 1.8.4 - 27 April 2017 =
* Fixed button URLs.
* Removed image `sizes` attribute when Jetpack Photon is enabled.
* Fixed missing widget handling for misnamed widgets.

= 1.8.3 - 26 April 2017 =
* Contact Form: Improved type Validation and added empty name check
* Contact Form: Add Field Design Settings
* Testimonial: Add responsive image sizes settings
* Added checks to prevent PHP warnings
* Improved handling of empty order fields.
* Small code refactoring in price table widget.
* Ensure all SiteOrigin widgets are grouped together in Page Builder.
* Slider: Remove slider sentinel contents to avoid things like duplicated video iframe for embedded videos
* Fix TinyMCE z-index.
* Headline: Fixed typo that tied subheadline new window to headline
* Ensure fittext is done before setting up hero slider.
* Ensure google font fields work in live editors/previews.
* Features: Allow specifying position of features widgets icons.
* Added * next to labels of required fields.
* Make required field indicator optional and display legend when enabled.
* Set default color option in wpColorPicker.
* Small refactor to make more use of `get_template_variables`.
* Button: Added field for `rel` attribute.
* Maps: Added setting for global Google API key.
* Small fix to allow checkboxes to act as 'conditional' state emitters.
* Features: Change text form field to a tinymce field
* Properly work with new Page Builder caching system
* Ensure footer templates only printed when editing with Elementor.
* Small IE8 fix
* Contact: Prevent form fields from having 0px height if no height specified.
* Fixed Google Maps info windows.
* Image: Don't output empty attributes.
* Don't attempt to load maps API if already loaded.

= 1.8.2 - 1 April 2017 =
* Compatibility with upcoming Page Builder 2.5 release.
* Fixed compatibility with Elementor 1.4+.
* Fixed incompatibility with Jetpack.

= 1.8.1 - 3 February 2017 =
* Fixed empty array warning.
* Contact Form: Prevent empty title markup from being echoed.
* Contact Form: Display email after name
* Slider: Account for 0 speed.
* Features: Fix sizing issue when using images instead of icons.
* Use default unit if missing for measurement fields.
* Price Table: Shortcode support for feature text.
* Testimonial: Updated text radius label and fixed resulting functionality.
* Revert change made to post search for link field.
* Link Field: Make sure we have a valid post_types value.

= 1.8 - 31 January 2017 =
* Introduced compatibility system.
* Added compatibility with Elementor and Beaver Builder.
* Ensure radio inputs in repeaters have their checked property set correctly.
* Various Call to Action widget improvements.
* Use `text-align: center;` for features icons.
* Always use HTTPS for Google Webfonts.
* Post Selector: Exclude current post id
* Post Selector: Add filter returned query
* Post Carousel: Prevent empty title output.
* Google Maps: Add ability to set link for Static Map.
* Social Links: Add title field and title attributes for links.
* Features: Add title text field for features
* Button Widget: Add Font setting
* Contact: Add radio field Type
* Taxonomy: New Window Setting
* Added a way of specifying post types for link field.
* Introduced a global widget setup action.

= 1.7.2 - 09 November 2016 =
* Made fixes to pass PHP 7 compatibility checks.
* Image Widget: Get alt and title text from chosen image.
* Replaced markup parser with more actively maintained one.
* Simple Masonry: ensure resize on load
* Image Grid: Allow 0 as valid spacing value.
* Editor Widget: Call `WP_Embed::run_shortcode` on Editor widget content
* Maps: Added missing `typeof` causing maps api not to load properly.
* Icon: Fixed URL output.
* Fixed double slash in URLs.
* Features: Use Measurement fields.
* Apply modify_form to form arrays created in the constructor.
* Contact Form: add email default email subject if no subject defined.

= 1.7.1 - 21 September 2016 =
* Fixed case of Maps widget in sidebar causing an error on pages without that sidebar.
* Fixed icon field CSS.

= 1.7 - 20 September 2016 =
* Added mechanism for creating global widget setting.
* Added mechanism for adding dismissible notices to widget forms.
* Unified Google Maps JS working for maps widget and contact form location field.
* Added icon search for icon field.
* Added remove button to icon field.
* Contact Form: Fixed clash with Firefox field validation.
* Properly display remove button after importing Pixabay image.

= 1.6.5 - 15 August 2016 =
* Fixed dialog z-index.
* Added field required argument.
* Properly trigger change for image search import.
* Sanitize arg can now be a callback.
* Improved multi checkbox field
* Maps: Just call initialization function if maps API already loaded.

= 1.6.4 - 21 July 2016 =
* More settings and customizability for Headline widget.
* Added FitText to Headline and Hero Image widgets.
* Fixed Pixabay image importing.

= 1.6.3 - 19 July 2016 =
* Added image search functionality to media field.
* Moved actions into their own file.
* Allow widgets to provide their own LESS/HTML.
* Added very simple code field.
* Multiple widgets can have the same class. Allowing widget functionality to come from configuration.
* Various tweaks for upcoming Widgets Builder plugin.

= 1.6.2 - 11 July 2016 =
* Fixed Firefox issue in post selector builder.
* Properly escape all uses off add_query_arg.
* Added filter after video

= 1.6.1 - 24 June 2016 =
* Social Links: Fixed auto-filling of network colors.
* Social Links: Added 500px network.
* Social Links: Added title tag to link tags.
* Maps: Prevent JS error in when maps widget script is enqueued but widget isn't displayed.
* Maps: Made API field more prominent as it's now required by the Google Maps API.
* Added more general error checking.

= 1.6 - 21 June 2016 =
* Added builder field.
* Added new multi checkboxes field.
* Added Layout Slider widget.
* Added taxonomy widget.
* Added slider wrapper attributes and filter.
* Fix for measurement field inside a repeater.
* Modified base folder to work independently of Widgets Bundle.
* Added custom icon families callback argument to icon field.
* Properly handle attachments in post selector
* Contact Form: Refactored form fields.
* Hero Image: Added image type to Hero Image widget.
* Button: Handle empty width.
* Image: Added filter for SiteOrigin image attributes.
* Image: Add dimensions to sizes dropdown.
* Maps: Ensure maps widget works with API key.
* Hero Image: Added setting to disable swipe on mobile Hero Image Widget.
* Fixed title syntax in Image widget.
* Video: Correctly get video file mime-types.
* Video Widget: Allow specifying multiple self-hosted video sources to support various formats.

= 1.5.11 - April 11 2016 =
* Fixed features widget container shape setting.

= 1.5.10 - April 5 2016 =
* Added Icon widget.
* Moved widget form arrays into separate functions to improve performance.
* Cache widget style CSS if it can't be saved to filesystem.
* Improved preview checking so preview style CSS isn't stored.
* Contact Form: Improved instance hashing for compatibility with Yoast SEO.
* Contact Form: Added description field and customisation.
* Slider: Ensure correct styles are applied to slider images when a link is defined.
* Features: Allow user to select size for uploaded icon image.
* Price Table: Ensure feature icons always vertically centered, alongside feature text.

= 1.5.9 - February 26 2016 =
* Contact Form: Fixed hash checking for duplicate emails.
* Contact Form: Replace default emails with admin_email.

= 1.5.8 - February 26 2016 =
* Skip empty sidebars when loading widget scripts.
* Changes to cache clearing.
* Typo corrections.
* Fixed conflict with Child Theme Configurator.
* Image Grid widget: Using correct field and image size names to determine image sizes.
* Editor widget: Added shortcode unautop to Editor widget.
* Contact Form widget: Added check to prevent email resends in contact form widget.
* Masonry widget: properly handles full width rows in Page Builder.
* Hero Image widget: Fix backgrounds URL.
* Price Table widget: Skip empty buttons.
* Maps Widget: Allow clicking markers to reopen info windows if closed.

= 1.5.7 - February 4 2016 =
* Restored old class name for Image Grid Widget.

= 1.5.6 - January 23 2016 =
* Fixed widget name migration
* Fixed hero image height issue.
* Fixed admin page layout.

= 1.5.5 - January 21 2016 =
* Changed widget folder names to make them less verbose.
* Properly handle LESS compile errors.
* Fixed regex causing only the first 10 TinyMCE fields to be initialized.
* Fixed sanitization in the contact form.
* Fixed Google webfont function.
* Fixed image output for slider base.
* Image Widget: Added alignment options.
* Contact Form: Use anchor to return to form after submit
* Change default caps to manage options.
* Contact form widget: fixed - form in customizer doesn't resize.
* Price Table: Added image alt tags.
* Editor Widget: Fixed issue where only admins can view unfiltered content.
* Editor Widget: Fixed issue where Editor Widget was removing new lines in code.
* Post Selector Field: Support for date fields.
* Maps Widget: Fixed Lat/Long coordinate handling.
* Masonry widget: fixed layout and sizing.
* Image Widget: Allow display of image title above or below image.
* Added more relative measurement units to base.
* Hero Image Widget: Added height setting.
* Testimonial widget: Prevent outputting related image HTML if no image is set.
* Testimonial Widget: Use testimonial URLs to link location and optionally link names and images.
* Contact Form: Prevent multiple submit button clicks.
* Image Widget: Add support for srcset to Image widget
* Contact Form: Allow user to set field label position.
* Contact Form: Allow user to set field label font styles.
* Contact Form: Allow user setting focussed field outline styles.
* Contact Form: Don't do recaptcha validation in admin preview.

= 1.5.4 - November 18 2015 =
* Fixed compatibility with PHP 5.2

= 1.5.3 - November 17 2015 =
* Fixed defaults for Features widget and Hero Image widget.
* Fixed previewing for Editor widget.
* Change measurement field to work as single string.
* Use new measurement field for existing widgets.
* Carousel widget supports RTL.

= 1.5.2 - November 10 2015 =
* Removed word break style from headline widget.
* Fixed image grid URL field.
* Added more text styling options to features widget.
* Added measurement field to use in various widgets.
* Prefix function name in Google Map widget to prevent conflicts.
* Fixed styling for contact form widget.
* Fix to allow multiple duplicated contact forms on a single page.
* Fixed Hero Image widget button shortcode in text mode.
* TinyMCE fields maintain editor state.
* Added support for WP Canvas Shortcodes in TinyMCE field.
* Don't initialize TinyMCE outside the admin.
* Added more styling to contact form submit button.

= 1.5.1 - October 7 2015 =
* Fixed: Issue with Call To Action widget being missing.

= 1.5 - October 5 2015 =
* Fixed: Conflict between WPML and repeaters.
* Added Simple Masonry Layout widget.
* Added Contact Form widget.
* Added Image Grid widget.
* Added Testimonial widget.
* Changed layout of widgets activation page.
* Added Trianglify to generate placeholder widget icons.
* Added mechanism to use state emitters in repeaters.
* Section expanded/collapsed states now stored across form loads.
* Display once off admin notice when new widgets are available.
* Fixed translation domain.
* Editor Widget: Allow more HTML in Editor widget for trusted users.
* Hero Image Widget: Added top padding setting.
* Hero Image Widget: Can now set background click URL.
* Hero Image Widget: Improved handling of buttons shortcode.
* Slider Widget : Fixed open in new window setting.
* Headline Widget: Added word-break CSS.
* Headline Widget: Added option to set type of heading tags used.

= 1.4.4 - September 6 2015 =
* Fixed issue with slider image widths.

= 1.4.3 - September 5 2015 =
* Added support for WooCommerce Shortcodes plugin to TinyMCE field.
* New streamlined icon selector field.
* Added info window functionality to maps widget.
* Added a button to duplicate repeater items.
* Added more design settings to hero image widget.
* Removed full screen mode from TinyMCE field.
* Option to keep map centered when container is resized.
* Fixed: CSS bug for Google font imports on generated CSS.
* Fixed: Post selector for URL fields properly handles empty titles.
* Added option to skip auto paragraphs in Editor widget.

= 1.4.2 - August 18 2015 =
* Urgent fix in preparation for WordPress 4.3 release

= 1.4.1 - August 17 2015 =
* Updated to latest Font Awesome.
* Added TripAdvisor to social links widget.
* Allow unfiltered HTML in SiteOrigin Editor Widget if user has rights.
* Properly set URL scheme.
* Fixed state emitter issue for Google Maps Widget.

= 1.4 - July 20 2015 =
* Created a base slider widget class.
* Converted current slider widget to use base slider.
* Fixed image sizing in slider widget.
* Added plain background color option to slider widget.
* Added new Hero Image widget.
* Fixed repeaters in sub items.

= 1.3.1 =
* Fix to TinyMCE field when moved in Customizer and Widgets interface.
* Small developer level improvements.
* Fixed autoplay in video widget.
* Fixed behaviour of slides in slider widget.

= 1.3 =
* Added TinyMCE field type.
* All fields now use classes to make them easier to extend.
* Added SiteOrigin Editor widget.
* Made it possible for other plugins to filter default widgets.
* Fixed WordPress CLI compatibility.
* Added unit tests.
* Added networks to social networks widget.
* Changed how repeater HTML is stored.

= 1.2.4 =
* Fixed reference to siteorigin_widgets_is_google_webfont.
* Fixed CSS URL.

= 1.2.3 =
* Fixed Javascript issue with Map widget in customizer.
* Added meta box manager.
* Small style change to flat button style.
* Video widget fixes.

= 1.2.2 =
* Added video widget with support for self/external videos.
* New activate/deactivate widgets interface.
* Headline widget CSS fixes.
* Dev Feature: Error checking for widget field type.
* Dev Feature: Added state emitters.
* Dev Feature: Additional hooks and filters.

= 1.2.1 =
* Removed is_customizer_preview - only available in newer versions of WordPress.

= 1.2 =
* Added headline widget.
* All scripts and styles loaded in header instead of lazy loading.
* Added email to social links widget.
* Made carousel touch friendly.
* Improved input sanitization for HTML input.
* Added nonce request checking in carousel widget.
* Added sticky field to post selector.
* Added function to allow Page Builder to use post selector.
* Added a few developer friendly filters.
* Fixed: Various customizer related issues.
* Fixed: Issue limiting maps widget to 10 markers.
* Fixed: Call to action alignment issues.
* Fixed: Carousel preview.

= 1.1.2 =
* Added social links widget.
* Framework updates.

= 1.1.1 =
* Fixed Google Map preview.

= 1.1 =
* Added powerful Google Maps widget.
* Improved data sanitization.
* Various UI improvements.

= 1.0.6 =
* Fixed issues with adding extra widget folders.
* Added compatibility with WordPress Customizer.
* Added more fields to be used with future widgets.

= 1.0.5 =
* Removed legacy widget deactivation functions.
* Improved how widgets are loaded.

= 1.0.4 =
* Changed how widget list is loaded to fix issue with widgets list not displaying.

= 1.0.3 =
* Features widget icons can now be made clickable.

= 1.0.2 =
* Manage widgets page now does live updates.
* Added widget previews.
* Fixed wire button widget hover issue.
* Old stand alone widget plugins are now deactivated in favor of bundled versions.
* Fixed centering of CTA widget.
* Fixed color settings in CTA widget.
* Fixed button icon color setting.
* Small UI improvements.

= 1.0.1 =
* Clean up of code and bundled widgets.

= 1.0 =
* Initial release.
